# Changelog

All notable changes to this project will be documented in this file.

## [Released]

## VERSION 3.0

### Added

### Changed

- [QLM-1529] [Stage]-[Drivers]-Change workload to main driver

### Fixed

- [QLM-1167] [Notification] Send notification throw invalid data error
- [QLC-1477] [PROD]-[Power Search]-Power search bar not working
- [QLM-1171] [Prod][Android]Able to open and complete any journey step
- [QLM-1176] [Prod][Android]Incorrect text in step confirmation button for each Journey content type (eg. Video step:
  button shows "I've read the document")
- [QLM-1161] [Stage]-[Notification]-Journey notification is not working correctly
- [QLM-1210] [STG][Translate] Skip question in Questionnaire is not Translate correctly
- [QLM-1209] [STAG][Android]Name and Progressing step of pending action is not translate
- [QLM-1219] [Prod] Get result IDVerification 500 error
- [QLM-1221] [PROD]-[Android]-Employee Directory only showing first name. Should show surname
- [QLM-1238] [PROD]- The bio shouldn't be mandatory.
- [QLC-1582] [PROD]-[BE]-[Security]-Fixing the security issues
- [QLC-1579] [PROD]-[Engagement]-Should not send sensitive email to admin when only a partial of words are matched with
  sensitive word
- [QLC-1626] [Prod]-[Quizzes & Surveys]-noticed data loading errors “issue with dataset” in QS for this account
- [QLC-1627] [PROD]-[Engagement]-Dashboard Participation Rate is at zero even though we’ve done some questionnaires
- [QLM-1284] [PROD]-[API]-[Library]-Library text search is case sensitive and shouldn’t be]
- [QLC_1605] [BE]-Implement filter by Team
- [QLC-1618] [BE] Re-verify email when user forgot
- [QLC-1610] [v3.1]-Notify admin if no Content Profile is created. Must create a content profile before being able to
  add an employee.
- [QLM-1269] [v3.1]-[API]-[Notification]-Employee birthday to team members and work anniversary notification to manager

### Removed

# Changelog

All notable changes to this project will be documented in this file.

## [Released]

## VERSION 3.1

### Added

- [QLC-1435] Import employees by CSV
- [QLM-760] Event Enhancement: Paging + Count Invited members
- [QLM-1127] Implement API for error message translation
- [QLM-684] Refactor all api to use business key for User and Client
- [QLC-1447] CA - Schedule - support ALL option for sending questionnaire to the whole active client members
- [QLC-1516] Send email notice to advise that password for account has been changed
- [QLC-1516] Remove "Role Level" at Add Employee Screen
- [QLC-1442] Alert message - show sensitive comment alert
- [QLC-1494] Support ALL option for sending journey/ action/ action sequence to the whole active client members
- [QLC-1573] [BE]-[API]-Implement new message code base
- [QLC-1574] [BE]-[API]-Implement direct message
- [QLC-1575] [BE]-[API]-Implement anonymous message
- [QLC-1576] [BE]-[API]-Implement notify message
- [QLC-1478] [BE]-Implement message sender anonymously
- [QLM-1139] [v3.1]-[API]-[Notification]-Support user local time
- [QLM-882] [v3.1]-[API]-[Notification] Consistency for Enum action type
- [QLM-760] [v3.1]-[API]-Event Enhancement: Paging + Count Invited members
- [QLC-1546] [BE]-Implement delete conversation
- [QLC-1573] [BE]-[API]-Implement new message code base
- [QLC-1574] [BE]-[API]-Implement direct message
- [QLC-1575] [BE]-[API]-Implement anonymous message
- [QLC-1576] [BE]-[API]-Implement notify message
- [QLC-1607] [BE]-[API] Implement socket for mark as read
- [QLC-1629] [v3.1]-[Journey]-The Journey dropdown list should be sorted alphabetically
- [QLC-1636] [v3.1]-[Employee Upload]-Minor issues about the employee template upload
- [QLC-1712] [BE]-[API] Added Form type for single action
- [QLC-1713] [BE]-[API] Added Form type for action sequence
- [QLC-1515] view detail schedule

### Changed

- [QLM-1529] [Stage]-[Drivers]-Change workload to main driver

### Fixed

- [QLC-1483] [Report Comment] CA report comments display sensitive comments
- [QLC-1484] [Report Comment] Sensitive comment sorting
- [QLC-1539] [Initiative] Be implement new publish to functionality for initiatives
- [QLC-1540] [Initiative] Initiative be implement api for publish to
- [QLM-1311] [BE] Can't upload avatar
- [QLC-1669] Journey step library show header image
- [QLC-1644] [PROD]-[BE] Wrong enps score
- [QLC-1664] [PROD]-[Message]-Unable to send message from Web to mobile
- [QLM-1321] [BE] [3.1] Unread notification not working
- [QLC-1671] Mark all comments as sensitive bug
- [QLC-1670] Board report error
- [QLC-1689] [BE] - Participate calculate deleted survey
- [QLC-1690] [BE] Engagement score always get by manager
- [QLC-1691] [BE] Get event in dashboard wrong
- [QLC-1698] [BE] Can't unpublish or delete survey, quiz attach to action
- [QLC-1693] [PROD]-Journey should show employee progress
- [QLC-1686] [BE] Fixed employee avatar is empty after updated employee
- [QLC-1700] [BE] Fixed spelling mistake in the console access email template
- [QLC-1711] [BE] Showing deleted template in journey step
- [QLC-1684] [BE] Create default gender segments
- [QLC-1719] [PROD]-[Login]-Allow a same account login into the Web Console/ Mobile at the same time
- [QLC-1738] Create single action type form error

### Removed

## [Released]

## VERSION 3.2

### Added

- [QLC-1735] [v3.2] [BE] "Document upload" option in Journey Step
- [QLC-1729] [v3.2] [BE] [SA]-Add column to show country of login based on IP address
- [QLC-1778] [v3.2] [BE] Update plan configurations
- [QLC-1788] [BE] [Integration] Automatically create employees from client integration data after integrated with Merge.dev
- [QLC-1787] [BE] [Integration] Implement API Endpoint for synchronizing client data from Merge.dev webhooks
- [QLC-1785] [BE] [Integration] Implement API for authorizing client with Merge.dev integration
- [QLC-1824] [BE] [Integration] Implement API for deleting integration linked account
- [QLC-1827] [BE] [Integration] Implement API for listing integration
- [QLC-1783] [BE]-[Login]-Log in with SSO
- [QLC-1760] [BE] [Manager access]-Apply user access limitation check for other modules
- [QLC-1755] [BE] [Manager access]-Apply user access limitation check for Notifications
- [QLC-1754] [BE] [Manager access]-Apply user access limitation check for Advanced
- [QLC-1753] [BE] [Manager access]-Apply user access limitation check for Reports and Statistics
- [QLC-1749] [BE] [Manager access]-Apply user access limitation check for Actions
- [QLC-1748] [BE] [Manager access]-Apply user access limitation check for Events
- [QLC-1747] [BE] [Manager access]-Apply user access limitation check for Library
- [QLC-1746] [BE] [Manager access]-Apply user access limitation check for Tools
- [QLC-1740] [BE] [Manager access]-Implement API for listing denied access user
- [QLC-1710] [BE] [Manager access]-Implement API for removing user from manager access
- [QLC-1709] [BE] [Manager access]-Implement API for assigning manager access to user
- [QLC-1708] [BE] [Manager access]-Implement API for updating access permission
- [QLC-1707] [BE] [Manager access]-Implement API for listing access permissions
- [QLC-1505] [BE]-Implement API for User access - Manager access
- [QLC-1504] [BE]-Implement User access - Manager access

### Changed

### Fixed

- [QLC-1823] [BE] Missing employee data after synchronized from integration
- [QLC-1774] [BE] [Manager access] - Allow event description nullable
- [QLC-1773] [BE] [Manager access] - Support multiple access update at a time
- [QLC-1831] [BE] [Form] - Prevent creating form step from unassigned fields template
- [QLC-1894] [SSO] SSO not checking client's plan
- [QLC-1859] [Journey] Duplicate step order in journey steps
### Removed

## VERSION 3.3

### Added
- [QLC-1832] [Message] [BE] Add new user role Whistleblower admin
- [QLC-1795] [Message] [BE] Anonymous conversation category for SAC
- [QLC-1796] [Message] [BE] Manager category for anonymous conversation
- [QLC-1847] [Message] [BE] Transfer conversation to another WB admin
- [QLC-1812] [Message] [BE] Close - Reopen anonymous conversation
- [QLC-1807] [Message] [BE] Export conversation
- [QLC-1804] [Message] [BE] Case ID for anonymous conversation
- [QLC_1817] [Message] [BE] Dashboard report for message
- [QLC-1790] [Message] Anonymous Message translation
- [QLC-1821] [Message] [BE] Assign anonymous message before remove admin access
### Changed

### Fixed
- [QLC-1874] [Message] [BE] Remove WB-admin access not assign closed case to another admin
- [QLC-1881] [Bug] [Message] WB Dashboard showing other segment categories

## VERSION 3.4

### Added
- [QLC-1882] [Event] Admins should able to edit/delete both their events and entire company events
- [QLC-1885] [Message] Should use random combined string/number instead of using number of cases for WB case id
- [QLC-1888] [Form] Support v2 templates
### Changed

### Fixed
- [QLM-1393] [Employees] Fix issue: Cannot search employee on mobile

## VERSION 3.5

### Added
- [QLC-1723] [Employees] Add 'Content Profile' as a data column. Allow max selection of 5 columns (including name).
- [QLC-1808] [Message] Delete conversation
- [QLC-1886] [Message] Add ability to allow client admin also as a WB admin
- [QLC-1897] [Console] Support Arabic language
- [QLC-1899] [Journey] Send email when complete journey step
### Changed
- [QLC-1852] [Report] [BE] Optimize API - Boards
- [QLC-1882] [Event] Admins should able to edit/delete both their events and entire company events
- [QLC-1898] [Plan] Update Plan Popup
### Fixed
- Cannot change password
- No show error when import wrong employee values
- Cannot download journey results

## VERSION 3.6

### Added
- [QLC-1902] [Employee] Add Partner and Vendor to Employee
- [QLC-1903] [Journey, Report, Library] Additional column on the journey tracking page, replace a file in the library that also updates the attached content in the journey or anywhere else the former file was used, hide "Handler" column in Comments view for Manager log ins (Angelo will check on production)
- [QLC-1904] [Employee, Journey] Add more filters on the employee's list of a journey
  by Department/Team, Location, Gender, Start date period (from <date> to <date> (range), Manager, Journey Name (i.e. name contains ), last accessed on, completed date period (from <date> to <date> (range), partner, vendor
- [QLC-1906] [Employee, Journey, Notification] Notifications Manager
- [QLC-1908] [Employee, Journey] Add more bulk action of Employee Data and in Journey.
### Changed
- [QLC-1905] [Library] Allow uploading multi-file types
- [QLC-1907] [Library] Ability to re-assign uploaded files/links in the library to another content profile.

## Version 3.7

### Added
- [Employee] Secondary Manager via Employee Creation Page
- [Library] Use favicon on Links uploaded in the file library
- [Action] Add Description Column in the Actions Page
- [Journey] Option to download all submitted journey content from a User
- [Library] Multiple file select via Library Page
- [Library] Add some new page sizes per page
- [Role] Birthday and Anniversaries notification for Managers and Admins
- [User Access] Add Employee Role
- [Report] Reports > Board > Line Chart/Trend Line
- [Journey] Option to exclude individuals or segments in a journey, Introduction box - Ability to use personalized tokens in the Introduction box of a Journey step, Introduction box - ability to add an optimised image in the introduction box
- [eNPS] Scheduling - Option to View Drivers of a scheduled eNPS via ellipsis button, Scheduling - Option to View list of employees in a scheduled eNPS, Heatmap/Boards - Option to filter by segment, Dashboard > eNPS - Option to filter the eNPS dashboard by segment, Advanced > Data Control > Data Referencing - Option to increase data retention of eNPS in web console from 24 months to 7 years
- [Employee] Automatic Enrollment, Bulk upload via .csv template

### Changed
- [Journey] Add Image Header to File Steps

## Version 3.8

### Added
- [Library]: Update the filter on Library List
- [Permission]: Send the email to admin/manager on staff's birthday and work anniversaries
- [Employee]: Support to edit inline some fields
- [Employee]: Support fields National ID, Race and Employee ID in Employee record

### Changed
- [SAC] Increase the limit of some fields (Plan)

## Version 3.8.1

### Added
- [Employee]: Support fields Phone Number in Employee record

### Changed
- [Employee]: Update the behaviours in Employee record

## Version 3.9

### Added
- [Report Comment]: React to eNPS comments
- [Report Heatmap]: Enable clickable driver tooltip + create initiative button for the other eNPS reports

### Changed
- [Journey]: Ability to edit the introduction text of a published journey, edit the question/answer option for a published quiz/survey
- [Employee]: Select all x record notification
- Improvement performance issues and fix some bugs

## Version 3.10

### Added
- [Language]: Support Polish

