# Qualee V3

## Installation

Qualee v2 requires PHP > 7.2.5 to run.

Install the dependencies.
```sh
$ composer install
$ php artisan passport:install
```
Migrate database
```sh
$ php artisan migrate
```
Create data user for testing
```sh
$ php artisan db:seed --class=UserSeeder
```
For Api testing, access to {host}/api.

For list all route available, use
```sh
$ php artisan api:routes
```

## Docs

1. [Access token](/docs/access-token.md)
2. [Database naming convention](/docs/convention.md)
3. [How to write a service](/docs/service.md)
4. [How to build an API](/docs/usages.md)
5. [Exceptions](/docs/exception.md)
5. [App Context](/docs/context.md)


## Contact

 Please contact [khoana@fabatechnology.com](mailto:khoana@fabatechnology.com) for more information
 
 

  


## test
