<?php


namespace App\Enum;


final class PlanConfigurations
{
    const PACKAGE_EMPLOYEE = "package_employee";
    const PACKAGE_JOURNEY = "package_journey";
    const PACKAGE_DOCUMENT = "package_document";
    const PACKAGE_QUIZ = "package_quiz";
    const PACKAGE_SURVEY = "package_survey";
    const PACKAGE_ADMINISTRATOR = "package_administrator";
    const PACKAGE_SUPPORT_TYPE = "package_support_type";
    const PACKAGE_DEDICATED_ENGAGEMENT_SPECIALIST = "package_dedicated_engagement_specialist";
    const PACKAGE_CUSTOM_LOGO = "package_custom_logo";
    const PACKAGE_CUSTOM_COLOUR = "package_custom_colour";
    const PACKAGE_MESSAGE = "package_message";
    const PACKAGE_FORM = "package_form";
    const PACKAGE_DOC_PROFILE = "package_doc_profile";
    const PACKAGE_ENGAGEMENT_MODULE = "package_engagement_module";
    const PACKAGE_CHECKLIST = "package_checklist";
    const PACKAGE_AI_DOCUMENT_SEARCH = "package_ai_document_search";
    const PACKAGE_ID_VERIFICATION = "package_id_verification";
    const PACKAGE_CUSTOMISABLE = "package_customisable";
    const PACKAGE_SSO = "package_sso";
    const PACKAGE_INTEGRATION = "package_integration";
    const PACKAGE_WHISTLEBLOWING_CAPABILITIES = "package_whistleblowing_capabilities";

    // Removed configurations
    const PACKAGE_AD_FREE = "package_ad_free";
    const PACKAGE_STOCK_SURVEYS = "package_stock_surveys";
    const PACKAGE_MESSAGE_TRANSLATION = "package_message_translation";


    const PLAN_CONFIGURATIONS = [
        self::PACKAGE_EMPLOYEE,
        self::PACKAGE_JOURNEY,
        self::PACKAGE_DOCUMENT,
        self::PACKAGE_QUIZ,
        self::PACKAGE_SURVEY,
        self::PACKAGE_ADMINISTRATOR,
        self::PACKAGE_SUPPORT_TYPE,
        self::PACKAGE_DEDICATED_ENGAGEMENT_SPECIALIST,
        self::PACKAGE_CUSTOM_LOGO,
        self::PACKAGE_CUSTOM_COLOUR,
        self::PACKAGE_MESSAGE,
        self::PACKAGE_FORM,
        self::PACKAGE_DOC_PROFILE,
        self::PACKAGE_ENGAGEMENT_MODULE,
        self::PACKAGE_CHECKLIST,
        self::PACKAGE_AI_DOCUMENT_SEARCH,
        self::PACKAGE_ID_VERIFICATION,
        self::PACKAGE_CUSTOMISABLE,
    ];
}