<?php

namespace App\Enum;

final class QuestionnaireEnum
{
    const ACTIVE = 1;
    const INACTIVE = 0;

    const DETRACTOR = ["min" => 0, "max" => 6];
    const PASSIVE = ["min" => 7, "max" => 8];
    const PROMOTER = ["min" => 9, "max" => 10];

    const QUESTION_PREFIX = "<Company>";

    const DONT_SHOW_COMMENT = 0;
}