<?php


namespace App\Enum;


final class Roles
{
    const SUPER_ADMIN = 'super_admin';
    const FRONT_USER = 'front-user';
    const ADMIN = 'admin';
    const MANAGER = 'manager';
    const WHISTLEBLOWER_ADMIN = 'whistleblower_admin';

    const CONSOLE_AUTHENTICATABLE_ROLES = [self::SUPER_ADMIN, self::ADMIN, self::MANAGER, self::WHISTLEBLOWER_ADMIN];

    const CLIENT_CONSOLE_ROLES = [self::ADMIN, self::MANAGER, self::WHISTLEBLOWER_ADMIN];

    const AVAILABLE_ROLES = [self::ADMIN, self::FRONT_USER, self::MANAGER, self::WHISTLEBLOWER_ADMIN];
}