<?php

namespace App\Events;

use App\Models\Questionnaire\QuestionnaireAnswer;
use Illuminate\Broadcasting\InteractsWithSockets;
use Illuminate\Foundation\Events\Dispatchable;
use Illuminate\Queue\SerializesModels;

class QuestionnaireAnswerSubmitted
{
    use Dispatchable, InteractsWithSockets, SerializesModels;

    public $answer;

    /**
     * Create a new event instance.
     *
     * @param QuestionnaireAnswer $answer
     */
    public function __construct(QuestionnaireAnswer $answer)
    {
        $this->answer = $answer;
    }
}
