<?php

namespace App\Events;

use App\Models\ActionRequest\ActionRequestSubmission;
use Illuminate\Broadcasting\InteractsWithSockets;
use Illuminate\Foundation\Events\Dispatchable;
use Illuminate\Queue\SerializesModels;

class SubmissionUpdated
{
    use Dispatchable, InteractsWithSockets, SerializesModels;

    public $submission;

    /**
     * Create a new event instance.
     *
     * @param ActionRequestSubmission $submission
     */
    public function __construct(ActionRequestSubmission $submission)
    {
        $this->submission = $submission;
    }
}
