<?php

namespace App\Exceptions;

/**
 * Exception thrown if user doesn't have permission on resources
 */
class UnauthorizedHttpException extends BaseHttpException
{
    /**
     * @param string|null $message Code or message exception message
     * @param string|null $errorCode
     * @param array $replacements To replace tokens in error message
     * @param array $extras Extra info to handle in frontend
     */
    public function __construct(string $message = null, string $errorCode = null, array $replacements = array(), array $extras = array())
    {
        parent::__construct(403, $message, $errorCode, $replacements, $extras);
    }
}
