<?php


namespace App\Helpers;

use App\Enum\ConfigurationTypes;

class ConfigurationHelper
{
    static function convertDataByType($data, string $type = ConfigurationTypes::TEXT)
    {
        switch ($type) {
            case ConfigurationTypes::BOOLEAN:
                return boolval($data);
                break;
            case ConfigurationTypes::TEXT:
                return strval($data);
                break;
            case ConfigurationTypes::NUMBER:
                return ($data == intval($data)) ? intval($data) : floatval($data);
            default:
                return $data;
                break;
        }
    }

}