<?php
namespace App\Http\Controllers\Api\Mobile_V1\AppRating;

use App\Services\Mobile\AppRating\SubmitAppRating;
use App\Traits\MobileJsonResponseController;
use Illuminate\Http\Request;
use App\Http\Controllers\Api\ApiController;

class AppRatingController extends ApiController
{
    use MobileJsonResponseController;

    /**
     * Submit app ratings
     *
     * @param Request $request
     * @return \Illuminate\Http\JsonResponse
     */
    public function submit(Request $request)
    {
        $ratings = app(SubmitAppRating::class)->execute($request->all());
        return $this->successResponse(__('Submit data successfully.'), $ratings);
    }
}
