<?php

namespace App\Http\Resources\Action;

use App\Http\Resources\Client\ClientLite;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class ActionSequenceWithCompletedEmployeeCount extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  Request $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'code' => $this->code,
            'name' => $this->name,
            'step_count' => $this->steps->count(),
            'completed_employee_count' => $this->countCompletedEmployee(),
            'client' => new ClientLite($this->client)
        ];
    }
}
