<?php

namespace App\Http\Resources\ContentText;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class ContentText extends JsonResource
{
    /**
     * Transform the resource into an array.
     * 
     * @param Request $request
     * @return array
     */
    public function toArray($request)
    {
        $businessKeyName = $this->getBusinessKeyName();
        
        return [
            $businessKeyName => $this->{$businessKeyName},
            'name' => $this->name,
            'status' => $this->status
        ];
    }
}
