<?php

namespace App\Http\Resources\DataControl;

use Illuminate\Http\Resources\Json\JsonResource;

/**
 * @extends JsonResource
 */
class DataControl extends JsonResource
{
    public function toArray($request)
    {
        return [
            'segment_identification' => $this->segment_identification,
            'data_expiry' => $this->data_expiry,
            'anonymity_difference' => $this->anonymity_difference,
            'data_availability' => $this->data_availability,
            'data_referencing' => $this->data_referencing,
            'engagement_score_default' => $this->engagement_score_default
        ];
    }
}
