<?php

namespace App\Http\Resources\Driver;

use Illuminate\Http\Resources\Json\JsonResource;
use stdClass;

class DriverClientValue extends JsonResource
{
    public function toArray($request)
    {
        return [
            'id' => $this->id,
            'name' => $this->name,
            'description' => $this->description,
            'parent_id' => 0,
            'icon' => $this->name,
            'weight' => 0,
            'priority' => 0,
            'questionnaire' => null,
            'sub_driver_info' => [],
        ];
    }
}