<?php

namespace App\Http\Resources\Initiative;

use App\Http\Resources\Driver\Icon;
use Illuminate\Http\Resources\Json\JsonResource;

/**
 * @extends JsonResource
 */
class InitiativeDriver extends JsonResource
{
    public function toArray($request)
    {
        return [
            'id' => $this->id,
            'name' => $this->name,
            'icon' => $this->icon,
            'initiatives' => !empty($this->initiatives_list) ? Initiative::collection($this->initiatives_list) : null
        ];
    }
}
