<?php

namespace App\Http\Resources\Integration;

use App\Helpers\DateHelper;
use Illuminate\Http\Resources\Json\JsonResource;

/**
 * @extends JsonResource
 */
class Integration extends JsonResource
{
    public function toArray($request)
    {
        return [
            'name' => $this->resource['name'],
            'slug' => $this->resource['slug'],
            'image' => $this->resource['image'],
            'square_image' => $this->resource['square_image'],
            'color' => $this->resource['color'],
            'categories' => $this->resource['categories'],
            'date' => $this->resource['date'] ? DateHelper::format($this->resource['date']) : null,
            'status' => $this->resource['status'],
        ];
    }
}
