<?php

namespace App\Http\Resources\Mobile\ActionRequestSubmission\Library;

use App\Facades\Context;
use Illuminate\Http\Resources\Json\JsonResource;
use Illuminate\Support\Facades\Auth;

/**
 * Class LibraryItem
 * @package App\Http\Resources\Mobile\Library
 */
class LibraryItemResult extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return string[]
     */
    public function toArray($request)
    {
        //Todo: Trung need recheck about this logic?
        $submissionCount = $this->submissions()
            ->where('user_id', Context::user()->get()->getKey())
            ->count();
        if ($submissionCount) {
            return ['status' => 'true'];
        }
        return ['status' => 'false'];
    }
}
