<?php


namespace App\Http\Resources\Mobile\Event;


use App\Http\Resources\Mobile\User\Employee as EmployeeResource;
use Illuminate\Http\Resources\Json\JsonResource;

class BySegment extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'name' => $this->name,
            'user' => EmployeeResource::collection($this->users)
        ];
    }
}
