<?php

namespace App\Http\Resources\Mobile\Message;

use App\Models\User\User;
use Illuminate\Http\Resources\Json\JsonResource;

class MessageReaction extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array
     */
    public function toArray($request)
    {
        $userCode = "";
        if (isset($this->reacted_by)) {
            $user = User::find($this->reacted_by);
            $userCode = $user->getBusinessKey();
        }
        return [
            'id' => $this->id,
            'content' => $this->reaction,
            'conversation_id' => $this->conversation_id,
            'attachment' => null,
            'content_type' => 'reaction',
            'created_at' => $this->created_at,
            'user' => $userCode,
        ];
    }
}