<?php

namespace App\Http\Resources\Mobile\Segment;

use App\Http\Resources\Mobile\User\SegmentUser;
use Illuminate\Http\Resources\Json\JsonResource;

/**
 * @extends JsonResource<\App\Models\Contact\Address>
 */
class SegmentTeams extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'name' => $this->name,
            'code' => $this->code,
            'employee' => SegmentUser::collection($this->users)->take(3),
            'total_employee' => $this->users->count()
        ];
    }
}
