<?php

namespace App\Http\Resources\Mobile\Tool\Quiz;

use App\Http\Resources\Tool\Quiz\QuizQuestion;
use Illuminate\Http\Resources\Json\JsonResource;

class Quiz extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'name' => $this->name,
            'is_published' => boolval($this->is_published),
            'questions' => QuizQuestion::collection($this->questions)
        ];
    }
}
