<?php

namespace App\Http\Resources\PowerSearch;

use App\Enum\PowerSearchTypes;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

/**
 * @extends JsonResource<\App\Models\PowerSearch\SearchableObject>
 */
class SearchableObject extends JsonResource
{
    /**
     * Transform the resource into an array.
     * 
     * @param Request $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            "id" => $this->id,
            "object_id" => $this->object_id,
            "object_type" => $this->object_type,
            "object_content" => $this->object_content,
        ];
    }
}
