<?php

namespace App\Http\Resources\Questionnaire;

use App\Http\Resources\Questionnaire\Illustration;
use Illuminate\Http\Resources\Json\JsonResource;

/**
 * @extends JsonResource
 */
class QuestionnaireClientSetting extends JsonResource
{
    public function toArray($request)
    {
        return [
            'questionnaire_id' => $this->questionnaire->id,
            'question' => $this->questionnaire->question,
            'status' => $this->status
        ];
    }
}
