<?php

namespace App\Http\Resources\Questionnaire;

use Illuminate\Http\Resources\Json\JsonResource;

/**
 * @extends JsonResource
 */
class QuestionnaireTranslate extends JsonResource
{
    public function toArray($request)
    {
        return [
            'id' => $this->id,
            'driver_id' => $this->driver_id,
            'language_id' => $this->language_id,
            'language_code' => $this->language->code,
            'questionnaire_id' => $this->questionnaire_id,
            'name' => $this->name,
            'question' => $this->question,
            'description' => $this->description,
        ];
    }
}
