<?php

namespace App\Http\Resources\Report;

use App\Http\Resources\Questionnaire\Questionnaire;
use Illuminate\Http\Resources\Json\JsonResource;

/**
 * @extends JsonResource
 */
class ReportHeatmapDriver extends JsonResource
{
    public function toArray($request)
    {
        return [
            'id' => $this['id'],
            'name' => $this['name'],
            'description' => $this['description'],
            'priority' => $this['priority'],
            'scores' => $this['scores'],
            'questionnaire' => isset($this['questionnaire']) ? new Questionnaire($this['questionnaire']) : null,
        ];
    }
}
