<?php

namespace App\Http\Resources\Report;

use Illuminate\Http\Resources\Json\JsonResource;

/**
 * @extends JsonResource
 */
class ReportTopicComment extends JsonResource
{
    public function toArray($request)
    {
        return [
            'id' => $this->getKey(),
            'driver_id' => $this->driver_id,
            'questionnaire_id' => $this->questionnaire_id,
            'point' => $this->point,
            'comment' => $this->comment
        ];
    }
}
