<?php

namespace App\Http\Resources\Report;

use Illuminate\Http\Resources\Json\JsonResource;

/**
 * @extends JsonResource
 */
class ReportTopicCommentAnalyze extends JsonResource
{
    public function toArray($request)
    {
        return [
            'id' => $this->getKey(),
            'topic' => $this->topic,
            'comments' => ReportTopicComment::collection($this->comments),
            'scores' => $this->scores
        ];
    }
}
