<?php

namespace App\Http\Resources\Report;

use App\Http\Resources\Questionnaire\Questionnaire;
use Illuminate\Http\Resources\Json\JsonResource;


/**
 * @extends JsonResource
 */
class SubDriverScore extends JsonResource
{
    public function toArray($request)
    {
        return [
            'id' => $this->id,
            'name' => $this->name,
            'description' => $this->description,
            'parent_id' => $this->parent_id,
            'icon' => $this->icon,
            'weight' => $this->weight,
            'priority' => $this->priority,
            'scores' => $this->scores ?? null,
            'trend'  => $this->trends ?? null,
        ];
    }
}
