<?php


namespace App\Http\Resources\Schedule;


use Illuminate\Http\Resources\Json\JsonResource;

class ScheduleRound extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'id' => $this->id,
            'schedule_survey_id' => $this->schedule_survey_id,
            'start_date' => $this->start_date,
            'expire_date' => $this->expire_date,
        ];
    }
}
