<?php


namespace App\Http\Resources\Schedule;


use Illuminate\Http\Resources\Json\JsonResource;

class ScheduleSegments extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'id' => $this->id,
            'status' => $this->schedule_survey_id,
            'segments' => ScheduleSegments::collection($this->scheduleSegments)
        ];
    }
}
