<?php


namespace App\Http\Resources\Segment;


use Illuminate\Http\Resources\Json\JsonResource;

class SegmentManager extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'code' => $this->code,
            'first_name' => $this->first_name,
            'surname' => $this->surname,
            'profile_pic' => $this->avatarUrl,
        ];
    }
}