<?php

namespace App\Http\Resources\Segment;

use Illuminate\Http\Resources\Json\JsonResource;

/**
 * @extends JsonResource<\App\Models\Contact\Address>
 */
class SegmentTypeDetailManager extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'code' => $this->code,
            'first_name' => $this->first_name,
            'surname' => $this->surname,
            'active_employee' => $this->active_employee,
            'total_employee' => $this->total_employee,
            'profile_pic' => $this->avatarUrl,
        ];
    }
}
