<?php

namespace App\Http\Resources\SensitiveWord;

use App\Facades\Context;
use Illuminate\Http\Resources\Json\JsonResource;

/**
 * @extends JsonResource
 */
class SensitiveWord extends JsonResource
{
    public function toArray($request)
    {
        $user = Context::user()->get();
        $result = [
            'theme' => $this->theme,
            'words' => $this->words
        ];
        if ($user->isSuperAdmin()) {
            $result['id'] = $this->id;
        }
        return $result;
    }
}
