<?php

namespace App\Listeners;

use App\Jobs\CreateJourneyEmployeeDocument;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Queue\InteractsWithQueue;
use App\Events\JourneyUpdated;

class CreateFormDocument implements ShouldQueue
{

    /**
     * Create the event listener.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    /**
     * Handle the event.
     *
     * @param JourneyUpdated $event
     * @return void
     */
    public function handle(JourneyUpdated $event)
    {
        $journey = $event->journey;
        
        CreateJourneyEmployeeDocument::dispatch($journey);
    }
    
}
