<?php

namespace App\Models\Account;

use App\Database\Migrations\AppMigration;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Http\Request;

class ApiUsage extends Model
{
    protected $table = 'api_usage';

    /**
     * Log a request made through the API.
     */
    public function log(Request $request)
    {
        $this->url = substr($request->url(), 0, AppMigration::LONG_TEXT);
        $this->method = $request->getMethod();
        $this->client_ip = $request->getClientIp();
        $this->save();
    }
}
