<?php

namespace App\Models\Action;

use App\Models\User\User;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class ActionSequenceUser extends Model
{

    protected $table = 'action_sequence_user';
    
    /**
     * @return BelongsTo
     */
    public function actionSequence(): BelongsTo
    {
        return $this->belongsTo(ActionSequence::class);
    }

    /**
     * @return BelongsTo
     */
    public function user(): BelongsTo
    {
        return $this->belongsTo(User::class);
    }
}