<?php

namespace App\Models\Attachment;


use App\Models\Attachment;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class AttachmentOCR extends Model
{
    protected $table = 'attachment_ocr';

    protected $fillable = ['attachment_id', 'ocr_job_id', 'ocr_job_status'];


    /**
     * @return BelongsTo
     */
    public function attachment(): BelongsTo
    {
        return $this->belongsTo(Attachment::class);
    }
}
