<?php

namespace App\Models\Journey;

use Illuminate\Database\Eloquent\Model;

/**
 * Class JourneyUser
 * @package App\Models\Journey
 */
class JourneyUser extends Model
{
    protected $table = 'journey_user';

    protected $fillable = [
        'user_id'
    ];

    /**
     * Get the post that owns the comment.
     */
    public function journey()
    {
        return $this->belongsTo(Journey::class, 'journey_id');
    }
}
