<?php


namespace App\Models\Message;


use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

/**
 * Class AnonymousConversationCategory
 * @package App\Models\Message
 */
class AnonymousConversationCategory extends Model
{
    use SoftDeletes;

    /**
     * @var string[]
     */
    protected $guarded = ['id'];
    /**
     * @var string
     */
    protected $table = 'anonymous_conversation_categories';

    public function conversations()
    {
        return $this->belongsToMany(Conversation::class,
            'whistleblowing_category',
            'category_id',
            'conversation_id');
    }

}