<?php

namespace App\Models\Message;

use Illuminate\Database\Eloquent\Model;
use App\Models\User\User;

class Notification extends Model
{
    //
    protected $fillable = ['sender_id', 'receiver_id', 'content', 'read'];

    public function sender()
    {
        return $this->belongsTo(User::class, 'sender_id');
    }

    public function receiver()
    {
        return $this->belongsTo(User::class, 'receiver_id');
    }
}
