<?php

namespace App\Models\Questionnaire;

use Illuminate\Database\Eloquent\Model;

class QuestionnaireAnswerValue extends Model
{
    protected $table = 'questionnaire_answer_values';

    protected $fillable = ['user_id', 'client_id', 'questionnaire_id', 'round_id', 'skip_question_id', 'client_value_id', 'point', 'comment'];

    public function scopeUser($query, $id)
    {
        return $query->where('user_id', $id);
    }

    public function scopeRound($query, $id)
    {
        return $query->where('round_id', $id);
    }
}
