<?php

namespace App\Models\Questionnaire;

use App\Models\Attachment;
use Illuminate\Database\Eloquent\Model;
use App\Models\Questionnaire\QuestionnaireAnswer;
use App\Models\Driver\Driver;
use App\Enum\QuestionnaireEnum;
use App\Models\Questionnaire\QuestionnaireOption;

/**
 * @method static active()
 */
class QuestionnaireSensitiveComment extends Model
{
    protected $table = 'questionnaire_sensitive_comments';

    protected $fillable = ['client_id', 'questionnaire_answer_id', 'user_id', 'is_read'];
}
