<?php


namespace App\Observers;


use App\Events\MessageCreated;
use App\Models\Message\Message;
use App\Services\Message\BroadcastMessage;

class MessageObserver
{
    /**
     * Handle the Message  "created" event.
     *
     * @param Message $message
     * @return void
     */
    public function created(Message $message)
    {
        MessageCreated::dispatch($message);
    }
}