<?php


namespace App\Services\Action;


use App\Services\BaseService;

class DeleteActionIfNoUser extends BaseService
{
    public function performAction(array $args)
    {
        $action = $args['action']->refresh();
        //There is no user in action left
        if ($action->users->count() === 0) {
            $action->actionRequest()->delete();
            $action->delete();
        }
    }

}