<?php
namespace App\Services\DataControl;

use App\Contracts\Transactionable;
use App\Services\BaseService;
use App\Models\DataControl\DataControl;

class DeleteDataControl extends BaseService implements Transactionable
{
    /**
     * Get data control
     *
     * @param array $data
     * @return mixed
     */
    public function performAction(array $data)
    {
        return DataControl::where('id', $data['id'])->delete();
    }
}
