<?php


namespace App\Services\Employee;

use App\Models\User\User;
use App\Services\Attachment\DeleteAttachment;
use App\Services\BaseService;

class DeleteAvatar extends BaseService
{
    public function performAction(array $args)
    {
        $user = User::findOrFail($args['user_id']);
        if ($user->avatar) {
            app(DeleteAttachment::class)->execute($user->avatar);
            $user->profile_pic = null;
            $user->save();
        }
    }
}
