<?php
namespace App\Services\Initiative;

use App\Models\Initiative\Initiative;
use App\Services\BaseService;

class DeleteInitiative extends BaseService
{
    /**
     * Delete Initiative
     *
     * @param array $data
     * @return boolean
     */
    public function performAction(array $data)
    {
        $initiative = Initiative::findOrFail($data['id']);

        $status = $initiative->delete();
        if ($status) {
            $initiative->segments()->detach();
        }

        return $status;
    }
}
