<?php

namespace App\Services\Mobile\ActionRequestSubmission;

use App\Services\InternalBaseService;
use App\Services\Mobile\ActionRequestSubmission\Submission\SkipSubmission;
use Illuminate\Database\Eloquent\Model;

class SkipActionRequestSubmission extends InternalBaseService
{
    public function execute(array $data, Model $actionRequest)
    {
        $data['action_request_id'] = $actionRequest->id;
        return app(SkipSubmission::class)->execute($data);
    }
}