<?php

namespace App\Services\Mobile\Engage;

use App\Contracts\Validatable;
use App\Services\BaseService;
use Auth;
use App\Services\Mobile\Dashboard\ProgressOverTime;

class GeteNPS extends BaseService implements Validatable
{
    public function getRules(array $args)
    {
        return [];
    }

    /**
     * Get Initiative
     * @param array $args
     * @return mixed
     */
    public function performAction(array $args)
    {
        return $this->getProgressOverTime();
    }

    /**
     * Processing for get over time of all active cycle
     *
     * @return mixed
     */
    protected function getProgressOverTime()
    {
        return app(ProgressOverTime::class)->execute();
    }
}
