<?php

namespace App\Services\Mobile\Journey;

use App\Facades\Context;
use App\Helpers\PandaDocHelper;
use App\Services\BaseService;

class GetDocumentStatus extends BaseService
{

    function performAction(array $args)
    {
        $client = Context::client()->get();
        $formAuthenticate = $client->formAuthenticate;
        if (empty($formAuthenticate)) {
            return null;
        }
        $pandaDocHelper = (new PandaDocHelper())->setToken($formAuthenticate->access_token);
        $document = $pandaDocHelper->getDocumentStatus($args['document_id']);
        return $document;
    }
}