<?php

namespace App\Services\Mobile\Journey;

use App\Helpers\ActionRequestHelper;
use App\Helpers\PermissionHelper;
use App\Models\ActionRequest\ActionRequest;
use App\Services\BaseService;

class GetStepResults extends BaseService
{

    public function performAction(array $data)
    {
        $actionRequest = ActionRequest::findOrFail($data['id']);
        PermissionHelper::hasAccessOn($actionRequest);
        return ActionRequestHelper::getResultMobileResource($actionRequest);
    }
}
