<?php
namespace App\Services\Mobile\Questionnaire;

use App\Models\Questionnaire\QuestionnaireUserCompleted;
use App\Services\BaseService;
use Carbon\Carbon;

class CompletedQuestionnaireAnswer extends BaseService
{
    /**
     * @param array $data
     * @return Array
     */
    public function performAction(array $data)
    {
        $questionCompleted = QuestionnaireUserCompleted::where([
            'user_id' => $data['user_id'],
            'round_id' => $data['round_id'],
        ])->first();

        if (!empty($questionCompleted)) {
            $questionCompleted->completed_at = Carbon::now();
        } else {
            $createData = $data;
            $createData['completed_at'] = Carbon::now();
            $questionCompleted = QuestionnaireUserCompleted::create($createData);
        }

        return $questionCompleted;
    }
}
