<?php
namespace App\Services\SensitiveWord;

use App\Contracts\Transactionable;
use App\Models\SensitiveWord\SensitiveWord;
use App\Services\BaseService;

class GetSensitiveWord extends BaseService implements Transactionable
{
    /**
     * Get sensitive word
     *
     * @param array $options
     * @return mixed
     */
    public function performAction(array $data)
    {
        return SensitiveWord::all();
    }
}
