<?php


namespace App\Services\Subscription;

use App\Helpers\StripeHelper;
use App\Services\BaseService;

class GetStripePlans extends BaseService
{

    /**
     * Get list plans
     * @param array $options
     * @return mixed
     */
    public function performAction(array $options)
    {
        $stripeHelper = new StripeHelper();
        $stripePlans = $stripeHelper->getListPrices();
        foreach($stripePlans as &$stripePlan)
        {
            $stripePlan['product'] = $stripeHelper->getProductDetail($stripePlan['product']);
        }
        return collect($stripePlans);
    }
}
