<?php


namespace App\Services\Token;


use App\Models\Token\MagicLinkToken;
use App\Services\BaseService;
use Illuminate\Support\Facades\DB;

class RevokeMagicLinkToken extends BaseService
{
    public function performAction(array $args)
    {
        $token = request()->get("token");
        return MagicLinkToken::where(DB::raw('BINARY `token`'), $token)
            ->where("revoked", 0)
            ->update(["revoked" => 1]);
    }
}