<?php

namespace App\Services\Tool\Form;

use App\Facades\Context;
use App\Models\Form\FormAuthenticate;
use App\Services\BaseService;

class RemoveIntegration extends BaseService
{

    /**
     * Remove integration
     * 
     * @param array $args
     * @return bool
     */
    function performAction(array $args)
    {
        $client = Context::client()->get();

        return FormAuthenticate::where('client_id', $client->getKey())->delete();
    }
}
