<?php

namespace App\Services\Tool\Journey\QR;

use App\Services\BaseService;
use Illuminate\Support\Facades\Http;

class GetVerifaiOTPToken extends BaseService
{

    function performAction(array $args)
    {
//        $url = env('VERIFAI_API_URL') . "/auth/token";
        $url = "https://websdk.verifai.com/v1/auth/token";

        $response = Http::withToken("efe9ec6b6283b87fc2e00046e4611302922e3d80")->post($url, $args);
        if (isset($response['errors']) && count($response['errors']) > 0) {
            $this->reportSentry($response['errors']);
        }
        return $response->json();
    }
}