<?php

namespace App\Services\Tool\Journey\QR;

use App\Services\BaseService;
use Illuminate\Support\Facades\Http;

class GetVerifaiResult extends BaseService
{

    function performAction(array $args)
    {
        $url = "https://websdk.verifai.com/v1/session/" . $args['sessionId'] . "/verifai-result";
        $response = Http::withToken("efe9ec6b6283b87fc2e00046e4611302922e3d80")->get($url);
        if (isset($response['errors']) && count($response['errors']) > 0) {
            $this->reportSentry($response['errors']);
        }
        return $response->json();
    }
}