<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateRequestDemosTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('request_demos', function(Blueprint $table)
		{
			$table->increments('id');
			$table->string('country_id', 200);
			$table->string('email');
			$table->string('first_name');
			$table->string('last_name')->nullable();
			$table->string('company')->nullable();
			$table->string('phone', 20)->nullable();
			$table->timestamps();
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('request_demos');
	}

}
