<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateSignnowDocumentsTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('signnow_documents', function(Blueprint $table)
		{
			$table->integer('id', true);
			$table->unsignedInteger('form_id')->nullable();
			$table->unsignedInteger('client_id')->nullable();
			$table->unsignedInteger('user_id')->nullable();
			$table->string('document_id')->nullable();
			$table->string('link')->nullable();
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('signnow_documents');
	}

}
