<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateSurveyNamesTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('survey_names', function(Blueprint $table)
		{
			$table->increments('id');
			$table->string('name', 150);
			$table->boolean('status')->default(1);
			$table->timestamps();
			$table->unsignedInteger('added_by')->nullable();
			$table->softDeletes();
			$table->unsignedInteger('client_id')->nullable();
			$table->boolean('is_demo')->default(0);
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('survey_names');
	}

}
