<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateUserSignedFormsTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('user_signed_forms', function(Blueprint $table)
		{
			$table->integer('id', true);
			$table->unsignedInteger('user_id');
			$table->unsignedInteger('form_id');
			$table->text('input_values');
			$table->string('signature');
			$table->timestamps();
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('user_signed_forms');
	}

}
