<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateUserTeamImagesTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('user_team_images', function(Blueprint $table)
		{
			$table->integer('id', true);
			$table->unsignedInteger('user_id');
			$table->string('employee_type', 20);
			$table->string('profile_image')->nullable();
			$table->string('linkedin_url')->nullable();
			$table->timestamps();
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('user_team_images');
	}

}
