<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddNewColumnQuestionIdToUserQuizAndSurveyResults extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('user_quiz_and_survey_results', function (Blueprint $table) {
            $table->integer('question_id')->after('action_id');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('user_quiz_and_survey_results', function (Blueprint $table) {
            $table->dropColumn('question_id');
        });
    }
}
