<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddColumnActionToUserActionActivityLogsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('user_action_activity_logs', function (Blueprint $table) {
            $table->integer('action_id')->after('id');
            $table->string('action_type')->after('action_id');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('user_action_activity_logs', function (Blueprint $table) {
            $table->dropColumn('action_id');
            $table->dropColumn('action_type');
        });
    }
}
