<?php
// create...

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;

class CreateGuestsTableForEvent extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('event_user', function (Blueprint $table) {
            $table->unsignedInteger('event_id');
            $table->unsignedInteger('user_id');
            $table->primary(['event_id','user_id']);
        });

        Schema::create('event_segment', function (Blueprint $table) {
            $table->unsignedInteger('event_id');
            $table->unsignedInteger('segment_id');
            $table->primary(['event_id','segment_id']);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('event_user');
        Schema::dropIfExists('event_segment');
    }
}
