<?php
// create...

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;

class CreateQuestionnaireTranslatesTable extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('questionnaire_translates', function (Blueprint $table) {
            $table->increments('id');
            $table->string('language_code');
            $table->integer('questionnaire_id')->unsigned()->index();
            $table->string('name')->nullable();
            $table->text('question');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('questionnaire_translates');
    }
}
