<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;
use App\Enum\QuestionnaireOptionType;

class UpdateIsAllowOnQuestionnaireOptionsTable extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('questionnaire_options', function (Blueprint $table) {
            $table->boolean('is_allow')->default(QuestionnaireOptionType::EXCLUDE)->comment('Allow or Exclude attribute')->change();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}
