<?php
// create...

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;
use Illuminate\Database\Migrations\Migration;

class CreateScheduleRoundQuestionnairesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('schedule_round_questionnaires', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('frequency_round_id')->unsigned()->index();
            $table->integer('questionnaire_id')->unsigned()->index();
            $table->integer('status')->nullable();
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('schedule_round_questionnaires', function (Blueprint $table) {
            //
        });
    }
}
