<?php
// create...

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;
use App\Enum\QuestionnaireSkipStatus;

class CreateQuestionnaireSkipsTable extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {

        Schema::create('questionnaire_skip_questions', function (Blueprint $table) {
            $table->increments('id');
            $table->text('title');
            $table->boolean('status')->default(QuestionnaireSkipStatus::INACTIVE);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('questionnaire_skip_questions');
    }
}
