<?php
// create...

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;

class CreateQuestionnaireAnswerValuesTable extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('questionnaire_answer_values', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('user_id')->unsigned()->index();
            $table->integer('questionnaire_id')->unsigned()->index();
            $table->integer('round_id')->nullable()->unsigned()->index();;
            $table->integer('client_value_id')->nullable()->unsigned()->index();
            $table->integer('skip_question_id')->nullable()->unsigned()->index();
            $table->integer('point')->nullable();
            $table->text('comment')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('questionnaire_answer_values');
    }
}
