<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;


class AddColumnEmployeeForSegment extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('employees', function(Blueprint $table) {
            $table->unsignedInteger('location');
            $table->unsignedInteger('team');
            $table->unsignedInteger('department');
            $table->unsignedInteger('gender');
            $table->unsignedInteger('manager_id');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('employees', function(Blueprint $table) {
            $table->dropColumn('location');
            $table->dropColumn('team');
            $table->dropColumn('department');
            $table->dropColumn('gender');
            $table->dropColumn('manager_id');
        });
    }
}
