<?php
// update...

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;

class AddClientValueIdScheduleFrequencyRoundsTable extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('schedule_frequency_rounds', function (Blueprint $table) {
            $table->renameColumn('schedule_frequency_id','schedule_survey_id');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('schedule_frequency_rounds', function (Blueprint $table) {
            $table->renameColumn('schedule_survey_id', 'schedule_frequency_id');
        });
    }
}
