<?php
// create...

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;

class CreateSearchableObjectsTable extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('searchable_objects', function (Blueprint $table) {
            $table->increments('id');
            $table->string('object_id', self::SHORT_TEXT);
            $table->string('object_type', self::SHORT_TEXT);
            $table->string('object_content', self::LONG_TEXT);
            $table->unsignedInteger('client_id');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('searchable_objects');
    }
}
