<?php
// update...

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;

class AddUserIdScheduleRoundQuestionnairesTable extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('schedule_round_questionnaires', function (Blueprint $table) {
            $table->integer('user_id')->after('questionnaire_id');
            $table->string('client_value')->after('user_id');
            $table->renameColumn('frequency_round_id', 'schedule_survey_id');
            $table->string('questionnaire_id')->change();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('schedule_round_questionnaires', function (Blueprint $table) {
            $table->dropColumn('user_id');
            $table->dropColumn('client_value');
            $table->renameColumn('schedule_survey_id', 'frequency_round_id');
            $table->integer('questionnaire_id')->change();
        });
    }
}
