<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;



class RefactorQuestionnaireAnswerFeature extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table("questionnaire_answers", function(Blueprint $table) {
            $table->integer('client_value_id')->nullable()->unsigned()->index();
            $table->integer('driver_id')->nullable()->change();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table("questionnaire_answers", function(Blueprint $table) {
            $table->dropColumn('client_value_id');
        });
    }
}
