<?php

use App\Enum\ConfigurationTypes;
use App\Enum\PlanConfigurations;
use App\Database\Migrations\AppMigration;
use App\Models\Subscription\PlanConfiguration;


class UpdateDataPlanConfiguration extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        foreach (PlanConfigurations::PLAN_CONFIGURATIONS as $planConfiguration) {
            if (!PlanConfiguration::where('name', $planConfiguration)->exists()) {
                PlanConfiguration::create(['name' => $planConfiguration, 'type' => ConfigurationTypes::TEXT]);
            }
        }
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}
