<?php

use App\Enum\ClientConfigurations;
use App\Models\Client\ClientConfiguration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;


class UpdateDataForClientConfigurationsTable extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        ClientConfiguration::where('name',  ClientConfigurations::CONFIG_ADMIN_PASSWORD_RESET)
            ->update(['default_value' => 6]);
        ClientConfiguration::where('name',  ClientConfigurations::CONFIG_DELETE_FORMER_EMPLOYEES_AFTER)
            ->update(['default_value' => 90]);
        ClientConfiguration::where('name',  ClientConfigurations::CONFIG_CONSOLE_LOGIN_TIMEOUT)
            ->update(['default_value' => 30]);
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}
