<?php

use App\Database\Migrations\AppMigration;
use App\Models\Action\Action;
use App\Services\Action\DeleteActionIfNoUser;


class RemoveErrorActionData extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        $actions = Action::query()->whereDoesntHave('users')->get();
        foreach ($actions as $action) {
            app(DeleteActionIfNoUser::class)->execute(['action' => $action]);
        }
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}
