<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;
use Spatie\Permission\Models\Permission;
use App\Enum\AccessPermissions;


class AddReportDriverPermission extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Permission::create(['name' => AccessPermissions::ACCESS_DRIVER]);
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        DB::table('permissions')->where('name', AccessPermissions::ACCESS_DRIVER)->delete();
    }
}
