<?php
// update...

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;

class AddThirdPartyColumnsToEventsTable extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('events', function (Blueprint $table) {
            $table->string('source_type')->nullable();
            $table->string('source_calendar_id')->nullable();
            $table->string('source_id')->nullable();
            $table->timestamp('source_updated_at')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('events', function (Blueprint $table) {
            $table->dropColumn('source_type');
            $table->dropColumn('source_calendar_id');
            $table->dropColumn('source_id');
            $table->dropColumn('source_updated_at');
        });
    }
}
