<?php
// update...

use App\Enum\AccessPermissions;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;
use Spatie\Permission\Models\Permission;

class UpdateAllPermissionsInSystem extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        //Delete unused permissions
        Permission::whereNotIn('name', AccessPermissions::ALL_ACCESS_PERMISSIONS)->delete();
        foreach(AccessPermissions::ALL_ACCESS_PERMISSIONS as $permission){
            Permission::updateOrCreate(
                ['name' => $permission],
                ['name' => $permission]
            );
        }
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {

    }
}
