<?php

use App\Enum\AccessPermissions;
use App\Enum\Roles;
use App\Database\Migrations\AppMigration;
use Spatie\Permission\Models\Role;


class AddNewRoleWbAdmin extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        //Create new role
        Role::create(['name' => Roles::WHISTLEBLOWER_ADMIN]);
        //Assign default permission to WB role
        $this->givePermissionToRole(Roles::WHISTLEBLOWER_ADMIN, [AccessPermissions::ACCESS_WB_MESSAGE]);
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}
