<?php
// create...

use App\Database\Migrations\AppMigration;
use App\Enum\ConversationStatues;
use App\Enum\ConversationTypes;
use App\Models\Message\AnonymousConversationStatusLog;
use App\Models\Message\Conversation;

class CreateStatusLogForAnonymousConversationExisted extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        $conversations = Conversation::query()->where('type', ConversationTypes::ANONYMOUS_MESSAGE)->get();
        foreach ($conversations as $conversation) {
            AnonymousConversationStatusLog::create([
                'conversation_id' => $conversation->id,
                'status'          => ConversationStatues::ACTIVE,
                'created_at'      => $conversation->created_at
            ]);
        }
    }


}
