<?php
// create...

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;

class CreateWhistleblowingTransferLogsTable extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('whistleblowing_transfer_logs', function (Blueprint $table) {
            $table->increments('id');
            $table->uuid('conversation_id');
            $table->unsignedInteger('transfer_from');
            $table->unsignedInteger('transfer_to');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('whistleblowing_transfer_logs');
    }
}
