<?php
// update...

use App\Enum\AccessPermissions;
use App\Enum\Roles;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;

class AddAccessWbMessagePermissionToAdmin extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        $this->givePermissionToRole(Roles::ADMIN, [AccessPermissions::ACCESS_WB_MESSAGE]);
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('admin', function (Blueprint $table) {
            //
        });
    }
}
