<?php

use App\Enum\AccessPermissions;
use App\Database\Migrations\AppMigration;
use Spatie\Permission\Models\Permission;



class AddAlertUpcomingEventPermission extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        if(!Permission::where('name', AccessPermissions::ALERT_UPCOMING_EVENT)->exists()){
            Permission::create(['name' => AccessPermissions::ALERT_UPCOMING_EVENT]);
        }
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}
