<?php
// update...

use App\Enum\Reactions;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;

class AddReactionToQuestionnaireAnswersTable extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('questionnaire_answers', function (Blueprint $table) {
            $table->enum('reaction', Reactions::ALL)->nullable();
            $table->unsignedInteger('reacted_by')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('questionnaire_answers', function (Blueprint $table) {
            $table->dropColumn('reaction');
            $table->dropColumn('reacted_by');
        });
    }
}
