<?php

use App\Database\Migrations\AppMigration;
use App\Models\Segment\SegmentType;
use Illuminate\Support\Facades\DB;


class ReupadeSegmentTypesTableseNPS extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        SegmentType::create([
            "id" => 11,
            "name" => "eNPS survey",
            "order" => 9
        ]);
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        DB::table('segment_types')->whereIn('id', 11)->delete();
    }
}
