# Access Token

Project using JWT and Passport for authentication purpose.

## Authentication process

1. User send email/password to server to authenticate.
2. If login successfully, server return jwt token on cookie named `qualee_token`
3. Cookie will be written to user browser cookies with `HttpOnly, Secure` mode. It means, this cookie can't access directly via javascript but http request only. with `withCredentials: true` setting in Axios. Cookie will automatically include in on-going request to sever. This feature only work if server and client app are same site and client enable SSL (subdomain considered as same site)
4. On `Authenciate` middleware, `qualee_token` if present will be added to request header before go through other middlewares.

## Notes
- Good to setup SSL for both client side and server side