@extends('layouts.email')
@section('content')
    <p>
        <strong>{{__('Hey')}} {{ $name }}</strong>,
    </p>
    <p>{{__('Welcome to Qualee!')}}</p>
    <p>{{__('You can download the Qualee App from your preferred app store.')}}</p>
    <p class="center">
        <a href="https://apps.apple.com/sg/app/qualee-onboarding-engagement/id1495640850" target="_blank">
            <img src="{{ asset('images/appstore.png') }}" width="110px" style="margin-right: 20px">
        </a>
        <a href="https://play.google.com/store/apps/details?id=com.Qualee" target="_blank">
            <img src="{{ asset('images/googleplay.png') }}" width="110px">
        </a>
    </p>
    <p>{{__('Your mobile app login details are:')}}
    </p>
    <table style="margin-left: auto; margin-right: auto;">
        <tr>
            <td style="padding-right: 30px;">{{__('Username')}}</td>
            <td>
                <strong>{{ $user_name }}</strong>
            </td>
        </tr>
        <tr>
            <td>{{__('Password')}}</td>
            <td><strong>{{ $password }}</strong></td>
        </tr>
    </table>
    <br/>
    <p>{{__('You may set your own password via the Settings tab in the Qualee App.')}}</p>
    <p>
        {{__('Thank you')}},
        <br>
        {{ config('app.name') }}
    </p>
@endsection
