<?php

use Illuminate\Support\Facades\Route;

// TODO TUNG: To refactor later.
Route::prefix('clients/{clientCode}')->middleware(['encrypt.cookies','auth:api', 'auth.client_admin.context'])->group(function () {
    Route::get('logo/{filename}', 'Api\FileController@getLogoFile');
    Route::get('document_profiles/{documentProfileId}/{filename}', 'Api\FileController@getLibraryFile');
    Route::get('assets/{filename}', 'Api\FileController@getAssetFile');
    Route::get('message-attachments/{filename}', 'Api\FileController@getMessageAttachment');
    Route::get('users/{usercode}/content-photo/{filename}', 'Api\FileController@getAvatarUserAttachment');
    Route::get('users/{usercode}/signed-document/{filename}', 'Api\FileController@getSignedDocument');
    Route::get('users/{usercode}/content-file/{filename}', 'Api\FileController@getContentFileAttachment');
});

Route::get('qualee/assets/{filename}', 'Api\FileController@getPublicAssetFile');
Route::get('qualee/questionnaires/{filename}', 'Api\FileController@getPublicQuestionnaireFile');
Route::get('qualee/drivers/{filename}', 'Api\FileController@getPublicDriverFile');
