<?php

namespace App\AppContext;

use App\Models\Client\Client;

class ClientContext extends ContextBase
{
    private $client;

    public function set(Client $client): ClientContext
    {
        $this->client = $client;
        return $this;
    }

    /**
     * @return Client|null
     */
    public function get(): ?Client
    {
        return $this->client;
    }

    function check(): bool
    {
        return $this->client !== null;
    }
}