<?php

namespace App\AppContext;

use App\Models\User\User;

class UserContext extends ContextBase
{
    private $user;

    public function set(User $user): UserContext
    {
        $this->user = $user;
        return $this;
    }

    public function get(): User
    {
        return $this->user;
    }

    function check(): bool
    {
        return $this->user !== null;
    }
}