<?php

namespace App\DataTransferObject;

/**
 * Class StreamedFile
 * @package App\DataTransferObject
 */
class StreamedFile
{
    private $content;
    private $originalName;
    private $mimeType;
    private $size;
    private $extension;
    
    public function __construct(string $content, string $originalName, string $extension, int $size, string $mimeType)
    {
        $this->content = $content;
        $this->originalName = $originalName;
        $this->extension = $extension;
        $this->size = $size;
        $this->mimeType = $mimeType;
    }
    
    public function getContent()
    {
        return $this->content;
    }
    
    public function getClientOriginalName()
    {
        return $this->originalName;
    }
    
    public function extension()
    {
        return $this->extension;
    }
    
    public function getSize()
    {
        return $this->size;
    }

    public function getMimeType()
    {
        return $this->mimeType;
    }
}
