<?php

namespace App\Enum;

final class ActionRequestTypes
{
    const TEXT = 'text';
    
    const SURVEY = 'survey';
    const QUIZ = 'quiz';
    const FILE = 'file';
    const FORM = 'form';

    const SUB_TITLE_SURVEY = 'Survey';
    const SUB_TITLE_TEXT = 'Document';
    const SUB_TITLE_QUIZ = 'Quiz';
    const SUB_TITLE_FILE = 'File';
    const SUB_TITLE_FORM = 'Form';
    const SUB_TITLE_HEADSHOT_PHOTO = 'Upload';
    const SUB_TITLE_UPLOAD_CONTENT = 'Upload';
    const SUB_TITLE_ID_VERIFICATION = 'Upload';

    const ID_VERIFICATION = 'id-verification';
    const ID_VERIFICATION_PASSPORT = 'passport';
    const ID_VERIFICATION_DRIVER_LICENSE = 'driver-license';
    const ID_VERIFICATION_NATIONAL_ID = 'national-id';
    
    const HEADSHOT_PHOTO = 'headshot-photo';
    const UPLOAD_CONTENT = 'upload-content';

    const JOURNEY = 'journey';
    const ACTION_SEQUENCE = 'action sequence';
    const ACTION = 'action';
    
    const SURVEY_NAME = 'Survey';
    const QUIZ_NAME = 'Quiz';
    const HEADSHOT_PHOTO_NAME = 'Headshot photo';
    const UPLOAD_CONTENT_NAME = 'Upload content';
    const ID_VERIFICATION_NAME = 'ID Verification';
    const TEXT_NAME = 'Text';
    const FILE_NAME = 'File';
    const FORM_NAME = 'Form';
    
    const ACTIVE_TYPES = [
        self::TEXT, self::SURVEY, self::QUIZ, self::FILE, self::FORM, self::ID_VERIFICATION, self::HEADSHOT_PHOTO, self::UPLOAD_CONTENT
    ];

    const ACTION_TYPES = [
        self::SURVEY, self::QUIZ, self::ID_VERIFICATION, self::HEADSHOT_PHOTO, self::FORM, self::UPLOAD_CONTENT, self::FILE
    ];
    
    const CONFIGURABLE_TYPES = [self::TEXT, self::SURVEY, self::QUIZ, self::FILE, self::FORM, self::UPLOAD_CONTENT];

    const CONTENTABLE_TYPES = [self::SURVEY, self::QUIZ, self::FILE, self::FORM, self::ID_VERIFICATION, self::FILE];

    const HAVE_HEADER_TYPES = [self::TEXT, self::SURVEY, self::QUIZ,  self::FORM];
    
    const PUBLISHABLE_TYPES = [self::SURVEY, self::QUIZ];
}
