<?php

namespace App\Enum;

final class AllowedFileTypes
{
    const IMAGE = 'jpeg,png,jpg,gif';
    CONST DOCUMENT = 'pdf';
    CONST AUDIO = 'mp3';
    CONST VIDEO = 'mp4,mov,wmv,flv';

    CONST MS_EXCEL = 'xls,xlsx';
    CONST MS_WORD = 'doc,docx';

    const COMMON_FILE = self::IMAGE . ',' . self::DOCUMENT . ',' . self::AUDIO . ',' . self::VIDEO . ',' .
    self::MS_WORD . ',' . self::MS_EXCEL;
}
