<?php

namespace App\Enum;

final class EmailNotifications
{
    public const JOURNEY_INVITATION = 'journey-invitation';
    public const JOURNEY_REJECTION = 'journey-rejection';

    public const ACTION_SINGLE_INVITATION = 'action-single-invitation';
    public const ACTION_SEQUENCE_INVITATION = 'action-sequence-invitation';
    public const ACTION_REJECTION = 'action-rejection';
    public const ACTION_SEQUENCE_REJECTION = 'action-sequence-rejection';

    public const PROFILE_ASSIGNMENT = 'profile-assignment';
    public const FILE_ADDED = 'file-add';
    public const FILE_UPDATED = 'file-update';

    public const EVENT_INVITATION = 'event-invitation';
    public const EVENT_REMINDER = 'event-reminder';
    public const EVENT_UPCOMING = 'event-upcoming';

    public const ENPS_INVITATION = 'enps-invitation';
    public const ENPS_REACTION = 'enps-reaction';

    public const INITIATIVE_INVITATION = 'initiative-invitation';
    public const INITIATIVE_UPDATED = 'initiative-update';

    public const MESSAGE = 'message';
    public const MESSAGE_NOTIFICATION = 'message-notification';
    public const MESSAGE_REPLY = 'message-reply';
    public const MESSAGE_CASE_UPDATE = 'message-update';
    public const MESSAGE_CASE_TRANSFER = 'message-transfer';
}
