<?php

namespace App\Enum;

final class EmployeeTokens
{
    //Keys for employee
    const FIRST_NAME = '{first.name}';
    const LAST_NAME = '{last.name}';
    const DATE_OF_BIRTH = '{date.of.birth}';
    const EMAIL_ADDRESS = '{email.address}';
    const START_DATE = '{start.date}';
    const JOB_TITLE = '{job.title}';
    const GENDER = '{gender}';
    const DEPARTMENT = '{department}';
    const TEAM = '{team}';
    const LOCATION = '{location}';

    //Keys for manager
    const MANAGER_NAME = '{manager.name}';
    const SECONDARY_MANAGER_NAME = '{secondary.manager.name}';
    const MANAGER_TEAM_NAME = '{manager.team.name}';
    const MANAGER_LOCATION = '{manager.location}';
    const MANAGER_EMAIL = '{manager.email}';
    const MANAGER_JOB_TITLE = '{manager.job.title}';
}
