<?php


namespace App\Enum;


final class SegmentTypes
{
    const LOCATION = 1;
    const TEAM = 2;
    const DEPARTMENT = 3;
    const GENDER = 4;
    const MANAGER = 5;
    const AGE = 6;
    const EMPLOYMENT = 7;
    const ALL = 8;
    const E_NPS_SERVEY = 9;
    const PARTNER = 10;
    const VENDOR = 11;

    const SEGMENT_TYPES = [
        self::LOCATION, self::TEAM, self::DEPARTMENT, self::GENDER, self::MANAGER, self::AGE, self::EMPLOYMENT, self::ALL, self::E_NPS_SERVEY, self::PARTNER, self::VENDOR
    ];
    const SEGMENT_TYPES_BASIC = [
        self::LOCATION, self::TEAM, self::DEPARTMENT, self::GENDER, self::ALL
    ];
    const SEGMENT_TYPES_OBJECT = [
        self::LOCATION => 'Location',
        self::TEAM => 'Team',
        self::DEPARTMENT => 'Department',
        self::GENDER => 'Gender',
        self::MANAGER => 'Manager',
        self::AGE => 'Age',
        self::EMPLOYMENT => 'Employment phase',
        self::VENDOR => 'Vendor',
        self::PARTNER => 'Partner',
        self::E_NPS_SERVEY => 'eNPS survey',
        self::ALL => 'All',
    ];
}