<?php

namespace App\Enum;

final class SubmissionStatus
{
    const PENDING = 'pending';
    const APPROVED = 'approved';
    const REJECTED = 'rejected';
    const COMPLETED = 'completed';
    const SKIPPED = 'skipped';
    const STEP_NOT_AVAILABLE = 'step_not_available';
    const DATE_NOT_AVAILABLE = 'date_not_available';
    
    const COMPLETED_STATUS = [self::APPROVED, self::COMPLETED, self::PENDING, self::SKIPPED, self::REJECTED];
}
