<?php


namespace App\Helpers;


use App\Enum\AttachmentTypes;
use App\Enum\LibraryItemType;
use App\Http\Resources\Library\Attachment;
use Illuminate\Support\Facades\File;

class LibraryItemHelper
{
    public static function isValidType($data)
    {
        if($data->type == LibraryItemType::FILE) {
            $attachment = new Attachment($data->linkable);
            if (!in_array(strtolower(File::extension($attachment->original_name)), AttachmentTypes::ALLOW_TYPES)) {
                return false;
            }
        }

        return true;
    }
}