<?php


namespace App\Http\Controllers\Api\Mobile_V1\Action;


use App\Http\Controllers\Api\ApiController;
use App\Services\Mobile\AppRating\SubmitAppRating;
use App\Traits\MobileJsonResponseController;
use Illuminate\Http\Request;

class ActionController extends ApiController
{
    use MobileJsonResponseController;

    /**
     * Submit app ratings
     *
     * @param Request $request
     * @return \Illuminate\Http\JsonResponse
     */
    public function get(Request $request)
    {
        $ratings = app(SubmitAppRating::class)->execute($request->all());
        return $this->successResponse(__('Submit data successfully.'), $ratings);
    }
}
