<?php


namespace App\Http\Controllers\Api\Mobile_V1\Dashboard;

use App\Http\Controllers\Api\ApiController;
use App\Services\Mobile\Dashboard\GetUserInfo;
use App\Traits\MobileJsonResponseController;

class DashboardController  extends ApiController
{
    use MobileJsonResponseController;

    public function getUserInfo()
    {
        $userInfo = app(GetUserInfo::class)->execute();

        return $this->successResponse('Fetch data successfully', $userInfo);
    }
}
