<?php

namespace App\Http\Controllers\Api\Mobile_V1\QR;

use App\Http\Controllers\Api\ApiController;
use App\Services\Mobile\QR\ScanQRCode;
use App\Traits\MobileJsonResponseController;
use Illuminate\Http\Request;

/**
 * Class QRController
 * @package App\Http\Controllers\Api\Mobile_V1\QR
 */
class QRController extends ApiController
{
    use MobileJsonResponseController;

    /**
     * @param  Request  $request
     * @return \Illuminate\Http\JsonResponse
     */
    public function scanQRCode(Request $request)
    {
        app(ScanQRCode::class)->execute($request->all());
        return $this->successResponse(__('Scan QR code success'));
    }
}