<?php
namespace App\Http\Controllers\Api\v1\Language;

use App\Http\Controllers\Api\ApiController;
use App\Http\Resources\Language\Language as LanguageResource;
use App\Services\Language\GetLanguage;

class LanguageController extends ApiController
{
    /**
     * Get language list
     *
     * @return void
     */
    public function index()
    {
        $languages = app(GetLanguage::class)->execute();

        return LanguageResource::collection($languages);
    }
}