<?php

namespace App\Http\Resources\ContentPhoto;

use App\Http\Resources\Library\Attachment;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class ContentPhotoResult extends JsonResource
{
    /**
     * Transform the resource into an array.
     * 
     * @param Request $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'id' => $this->id,
            'image' => new Attachment($this->attachment),
        ];
    }
}
