<?php

namespace App\Http\Resources\IDVerification;

use App\Http\Resources\Library\Attachment;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class IDVerificationResult extends JsonResource
{
    /**
     * Transform the resource into an array.
     * 
     * @param Request $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'id' => $this->id,
            'front_image' => new Attachment($this->frontAttachment),
            'back_image' =>  new Attachment($this->backAttachment),
        ];
    }
}
