<?php

namespace App\Http\Resources\Message;

use App\Helpers\DateHelper;
use App\Http\Resources\Library\Attachment;
use App\Http\Resources\User\UserLite;
use Illuminate\Http\Resources\Json\JsonResource;

/**
 * @extends JsonResource<\App\Models\Message\Message>
 */
class AnonymousConversationCategory extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'id' => $this->id,
            'name' => $this->name
        ];
    }
}
