<?php


namespace App\Http\Resources\Message;


use App\Http\Resources\User\UserInfo;
use App\Http\Resources\User\UserLite;
use Illuminate\Http\Resources\Json\JsonResource;

class ChangeStatusLog extends JsonResource
{
    /**
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request): array
    {
        return [
            'user'       => new UserInfo($this->user),
            'status_from'     => $this->statusFrom,
            'status_to'     => $this->statusTo,
            'created_at' => $this->created_at
        ];
    }

}