<?php


namespace App\Http\Resources\Message;


use App\Http\Resources\Language\Language;
use App\Http\Resources\Language\LanguageLite;
use Illuminate\Http\Resources\Json\JsonResource;

class MessageTranslation extends JsonResource
{
    public function toArray($request)
    {
        return [
            'content' => $this->content,
            'language' => new LanguageLite($this->language)
        ];
    }
}