<?php


namespace App\Http\Resources\Message;


use App\Http\Resources\User\UserInfo;
use Illuminate\Http\Resources\Json\JsonResource;

class TransferLog extends JsonResource
{
    public function toArray($request)
    {
        return [
            'transfer_from' => new UserInfo($this->transferFrom),
            'transfer_to'   => new UserInfo($this->transferTo),
            'created_at'    => $this->created_at
        ];
    }
}