<?php

namespace App\Http\Resources\Mobile\Assets;

use App\Http\Resources\Mobile\Attachment\Attachment as MobileAttachment;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class Asset extends JsonResource
{
    /**
     * Transform the resource into an array.
     * 
     * @param Request $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            "id" => $this->id,
            'title' => $this->title,
            'type' => $this->type,
            'attachment' => new MobileAttachment($this->attachment),
            'created_at' => $this->created_at,
            'updated_at' => $this->updated_at
        ];
    }
}
