<?php

namespace App\Http\Resources\Mobile\ContentText;

use App\Facades\Context;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;
use Illuminate\Support\Facades\Auth;

class ContentTextResult extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param Request $request
     * @return string[]
     */
    public function toArray($request)
    {
        $submissionCount = $this->submissions()
            ->where('user_id', Context::user()->get()->getKey())
            ->count();
        if ($submissionCount) {
            return ['status' => 'true'];
        }
        return ['status' => 'false'];;
    }
}
