<?php

namespace App\Http\Resources\Mobile\Journey;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class Journey extends JsonResource
{
    /**
     * Transform the resource into an array.
     * 
     * @param Request $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'name' => $this->name,
            'is_published' => boolval($this->is_published),
            'employee_count' => $this->users->count(),
            'step_count' => $this->steps->count(),
            //Todo: Get completed count from user submissions
            'completed_employee_count' => 0
        ];
    }
}
