<?php

namespace App\Http\Resources\Mobile\Questionnaire;

use Illuminate\Http\Resources\Json\JsonResource;

/**
 * @extends JsonResource
 */
class PendingAction extends JsonResource
{
    public function toArray($request)
    {
        return [
            'id' => $this['id'],
            'title' => $this['title'],
            'description' => $this['description'],
            'total_questions' => $this['total_questions'],
            'remaining_questions' => $this['remaining_questions'],
            'expire_date' => !empty($this['expire_date']) ? $this['expire_date'] : null,
            'action_type' => $this['action_type']
        ];
    }
}
