<?php

namespace App\Http\Resources\Mobile\Questionnaire;

use App\Http\Resources\Questionnaire\Illustration;
use Illuminate\Http\Resources\Json\JsonResource;

/**
 * @extends JsonResource
 */
class QuestionnaireWithAnswer extends JsonResource
{
    public function toArray($request)
    {
        return [
            'id' => $this->id,
            'question' => !empty($this->translate) && !empty($this->translate->question) ? $this->translate->question : $this->question,
            'is_question_value' => $this->is_question_value,
            'score_rating_type' => $this->score_rating_type,
            'question_value' => $this->questionValue,
            'illustration' => new Illustration($this->illustration),
            'answer' => $this->answer,
        ];
    }
}
