<?php

namespace App\Http\Resources\Questionnaire;

use App\Http\Resources\Questionnaire\Illustration;
use Illuminate\Http\Resources\Json\JsonResource;

/**
 * @extends JsonResource
 */
class Questionnaire extends JsonResource
{
    public function toArray($request)
    {
        return [
            'id' => $this->id,
            'question' => $this->question,
            'driver_id' => $this->driver_id,
            'status' => !empty($this->clientSetting) ? $this->clientSetting->status : $this->status,
            'sub_driver_info' => $this->subDriverInfo,
            'illustration' => new Illustration($this->illustration)
        ];
    }
}
