<?php

namespace App\Http\Resources\Report;

use Illuminate\Http\Resources\Json\JsonResource;

/**
 * @extends JsonResource
 */
class ReportBoard extends JsonResource
{
    public function toArray($request)
    {
        return [
            'segment' => new SegmentScore($this->resource),
            'drivers' => $this->drivers,
            'company_values' => $this->companyValues,
        ];
    }
}