<?php

namespace App\Http\Resources\Report;

use App\Http\Resources\Questionnaire\Questionnaire;
use Illuminate\Http\Resources\Json\JsonResource;

/**
 * @extends JsonResource
 */
class ReportCommentDriver extends JsonResource
{
    public function toArray($request)
    {
        return [
            'name' => $this->name,
            'description' => $this->description,
            'priority' => $this->priority,
            'questionnaire' => new Questionnaire($this->questionnaire),
        ];
    }
}
