<?php

namespace App\Http\Resources\Report;

use Illuminate\Http\Resources\Json\JsonResource;


/**
 * @extends JsonResource
 */
class ReportHeatMapSegment extends JsonResource
{
    public function toArray($request)
    {
        return [
            'segment' => new SegmentScore($this->resource),
            'drivers' => ReportHeatmapDriver::collection($this->drivers),
        ];
    }
}