<?php

namespace App\Http\Resources\Report;

use Illuminate\Http\Resources\Json\JsonResource;

class ValuesScoring extends JsonResource
{
    public function toArray($request)
    {
        return [
            'id' => $this['id'],
            'name' => $this['name'],
            'description' => $this['description'],
            'parent_id' => 0,
            'icon' => $this['name'],
            'weight' => "N/A",
            'priority' => "N/A",
            'scores' => $this['scores'] ?? null,
            'trend'  => $this['trends'] ?? null,
            'sub_driver_info' => [],
            'sub_driver_count' => 0
        ];
    }
}