<?php


namespace App\Http\Resources\Schedule;


use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class ScheduleSurveyGroup extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param Request $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'code' => $this->id,
            'name' => $this->name,
            'description' => $this->description,
        ];
    }
}