<?php


namespace App\Http\Resources\Tool\Journey;


use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;
use  App\Http\Resources\Mobile\Journey\JourneyStep;

class JourneyQR extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param Request $request
     * @return array
     */
    public function toArray($request)
    {

        return [
            'code' => $this->code,
            'name' => $this->name,
            'is_published' => (bool)$this->is_published,
            'steps' => JourneyStep::collection($this->steps)
        ];
    }
}
