<?php

namespace App\Http\Resources\Tool\Journey;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class JourneyStepProgress extends JsonResource
{
    /**
     * Transform the resource into an array.
     * 
     * @param Request $request
     * @return array
     */
    public function toArray($request): array
    {
        return [
            'id' => $this->id,
            'name' => $this->name,
            //Number of user have progress at this step
            'submitted_employee_count' => $this->number_employee ?? 0,
            'step_order' => $this->step_order,
        ];
    }
}
