<?php

namespace App\Listeners;

use App\Services\Message\BroadcastMessage as BroadcastMessageService;

/**
 * Class BroadcastMessage
 * @package App\Listeners
 */
class BroadcastMessage
{
    /**
     * Create the event listener.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    /**
     * Handle the event.
     *
     * @param object $event
     * @return void
     */
    public function handle($event)
    {
        app(BroadcastMessageService::class)->execute(['message' => $event->message]);
    }
}
