<?php

namespace App\Listeners;

use App\Events\ActionSequenceUpdated;
use App\Jobs\CreateJourneyEmployeeDocument;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Queue\InteractsWithQueue;
use App\Jobs\CreateActionSequenceDocument;

class CreateActionSequenceFormDocument implements ShouldQueue
{

    /**
     * Create the event listener.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    /**
     * Handle the event.
     *
     * @param ActionSequenceUpdated $event
     * @return void
     */
    public function handle(ActionSequenceUpdated $event)
    {
        $actionSequence = $event->actionSequence;

        CreateActionSequenceDocument::dispatch($actionSequence);
    }
}
