<?php

namespace App\Listeners;

use App\Events\OCRDocumentUploaded;
use App\Jobs\StartDocumentOCR as StartDocumentOCRJob;

class StartDocumentOCR
{

    /**
     * Create the event listener.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    /**
     * Handle the event.
     *
     * @param OCRDocumentUploaded $event
     * @return void
     */
    public function handle(OCRDocumentUploaded $event)
    {
        StartDocumentOCRJob::dispatch($event->attachment);
    }
}
