<?php

namespace App\Models\AppRating;

use App\Models\User\User;
use Illuminate\Database\Eloquent\Model;

class AppRating extends Model
{
    protected $table = 'app_ratings';

    protected $fillable = ['user_id', 'client_id', 'comment', 'point', 'platform'];

    public function user () {
        return $this->belongsTo(User::class, 'user_id');
    }
}
