<?php

namespace App\Models\Client;

use Illuminate\Database\Eloquent\Model;

class ClientConfiguration extends Model
{
    //
    protected $table = 'client_configurations';

    const TYPE_FILE = 'File';
    const TYPE_TEXT = 'Text';
    const TYPE_BOOL = 'Boolean';
    const TYPE_COLOR = 'Color';
    const TYPES = [self::TYPE_FILE, self::TYPE_TEXT, self::TYPE_BOOL, self::TYPE_COLOR];

    protected $guarded = ['id'];
}
