<?php

namespace App\Models\Client;

use Illuminate\Database\Eloquent\Model;

class ClientValue extends Model
{
    protected $table = 'client_values';

    protected $fillable = ['client_id', 'name', 'description'];

    public function translate()
    {
        return $this->hasMany(ClientValueTranslate::class, 'client_value_id', 'id');
    }

    public function scopeClient($q, $clientId)
    {
        return $q->where('client_id', $clientId);
    }
}
