<?php

namespace App\Models\DataControl;

use Illuminate\Database\Eloquent\Model;

class DataControl extends Model
{
    protected $table = 'data_control';

    protected $fillable = [
        'client_id',
        'segment_identification',
        'data_expiry',
        'anonymity_difference',
        'data_availability',
        'data_referencing',
        'engagement_score_default',
        'driver_score_default',
        'driver_sorting'
    ];

    public function scopeClient($query, $clientId)
    {
        return $query->where('client_id', $clientId);
    }
}
