<?php

namespace App\Models\Language;

use Illuminate\Database\Eloquent\Model;
use App\Models\Questionnaire\QuestionnaireTranslate;
use App\Enum\LanguageStatus;

class Language extends Model
{
    protected $table = 'languages';

    protected $fillable = ['name', 'code', 'is_default', 'status'];

    public function scopeActive($query)
    {
        return $query->where('status', LanguageStatus::ACTIVE);
    }
}
