<?php

namespace App\Models\Library;

use Illuminate\Database\Eloquent\Model;

class Link extends Model
{
    protected $table = 'links';

    protected $fillable = ['url'];

    /**
     * Get the post's image.
     */
    public function libraryItem()
    {
        return $this->morphOne(LibraryItem::class, 'linkable');
    }
}
