<?php

namespace App\Models\Questionnaire;

use Illuminate\Database\Eloquent\Model;

class QuestionnaireClientSetting extends Model
{
    protected $table = 'questionnaire_client_settings';

    protected $fillable = ['client_id', 'questionnaire_id', 'status'];

    public function questionnaire()
    {
        return $this->belongsTo(Questionnaire::class, 'questionnaire_id', 'id');
    }

}
