<?php

namespace App\Models\Questionnaire;

use Illuminate\Database\Eloquent\Model;

/**
 * @method static active()
 */
class QuestionnaireCommentAnalyze extends Model
{
    protected $table = 'questionnaire_comment_analyze';

    protected $fillable = [
        'questionnaire_answer_id',
        'words'
    ];

    public function setWordsAttribute($value)
    {
        $this->attributes['words'] = json_encode($value);
    }

    public function getWordsAttribute($value)
    {
        return json_decode($value, true);
    }
}
