<?php


namespace App\Models\User;


use App\Models\Client\Client;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class UserAdminDetail extends Model
{
    protected $table = 'user_admin_details';

    protected $guarded=['id'];
    /**
     * @return BelongsTo
     */
    public function client(): BelongsTo
    {
        return $this->belongsTo(Client::class,'client_id');
    }
}