<?php


namespace App\Services\Asset;

use App\Helpers\ModelHelper;
use App\Models\Asset;
use App\Services\BaseService;
use App\Traits\Pageable;
use App\Traits\Sortable;

class GetAssets extends BaseService
{
    use Sortable, Pageable;

    /**
     * Get list event
     * @param array $options
     * @return mixed
     */
    public function performAction(array $options)
    {
        $query = Asset::query();


        ModelHelper::setConditionFindByClient($query);

        $this->applySorting($options, $query);
        return $this->applyPaging($options, $query);
    }
}
