<?php

namespace App\Services\Attachment;

use App\Services\InternalBaseService;
use Illuminate\Support\Facades\Storage;

class DeleteAttachment extends InternalBaseService
{

    /**
     * Delete a attachment.
     *
     * @param array $attachment
     */
    public function execute($attachment)
    {
        if ($attachment) {
            Storage::disk('s3')->delete($attachment->path);
            $attachment->delete();
        }
    }
}
