<?php

namespace App\Services\Client\ClientValue;

use App\Helpers\ModelHelper;
use App\Models\Client\ClientValue;
use App\Services\BaseService;
use App\Traits\Pageable;
use App\Traits\Sortable;

class GetClientValue extends BaseService
{
    use Sortable, Pageable;

    /**
     * TODO: Get list questionnaire
     *
     * @param array $options
     * @return mixed
     */
    public function performAction(array $options)
    {
        $query = ClientValue::query();

        ModelHelper::setConditionFindByClient($query);

        $this->applySorting($options, $query);

        return $this->applyPaging($options, $query);
    }
}
