<?php


namespace App\Services\Employee;


use App\Helpers\PermissionHelper;
use App\Services\BaseService;
use App\Models\User\User;

/**
 * Class GetEmployeeDetail
 * @package App\Services\Employee
 */
class GetEmployeeDetail extends BaseService
{
    /**
     * @param string $code
     * @return mixed
     */
    public function performAction(array $args)
    {
        $user = User::findByBusinessKey($args['code']);
        PermissionHelper::hasAccessOn($user->employee);

        return $user;
    }
}