<?php


namespace App\Services\MasterData;

use App\Facades\Context;
use App\Services\BaseService;
use App\Traits\Pageable;
use App\Traits\Sortable;
use App\Models\MasterData\City;

class GetCities extends BaseService
{
    use Sortable, Pageable;

    /**
     * Get list cities
     * @param $args
     * @return mixed
     */
    public function performAction($args)
    {
        $options = Context::request()->getOptions();
        $query = City::query();
        return $this->applyPaging($options, $query);
    }
}
