<?php


namespace App\Services\MasterData\Industry;


use App\Contracts\Validatable;
use App\Models\MasterData\Industry;
use App\Services\BaseService;

class DeleteIndustry extends BaseService
{
    public function getRules(array $args): array
    {
        return [
            'id' => 'required|integer'
        ];

    }

    public function performAction(array $args)
    {
        $industry = Industry::findOrFail($args['id']);
        $industry->delete();
        return $args['id'];
    }
}