<?php

namespace App\Services\Mobile\ActionRequestSubmission\Submission;

use App\Contracts\Validatable;
use App\Services\BaseService;

class SubmitContentText extends BaseService implements Validatable
{
    public function getRules(array $args)
    {
        return [
            'id' => 'required'
        ];
    }

    public function performAction(array $data)
    {
        app(SubmitSubmission::class)->execute($data);

        return true;
    }
}
