<?php

namespace App\Services\Mobile\Auth;

use App\Services\BaseService;
use Illuminate\Support\Facades\Auth;

class UserDemoLogout extends BaseService
{
    /**
     * User logout service
     *
     * @param array $data
     * @return bool
     */
    public function performAction(array $data)
    {
        Auth::user()->token()->revoke();
        return true;
    }
}
