<?php

namespace App\Services\Mobile\Journey;

use App\Facades\Context;
use App\Models\Journey\Journey;
use App\Models\Journey\JourneyUser;
use App\Services\BaseService;

class GetJourneyByStepId extends BaseService
{

    function performAction(array $args)
    {
        $journey_id = $args['id'];
        return Journey::query()->where('is_published', true)->where('id', $journey_id)->first();
    }
}