<?php

namespace App\Services\Mobile\Journey;

use App\Http\Resources\Mobile\Journey\JourneyStep as JourneyStepResource;
use App\Services\BaseService;

class GetStepDetails extends BaseService
{

    /**
     * Get journey step details of user's journey
     *
     * @param array $args
     * @return \Illuminate\Http\Resources\Json\AnonymousResourceCollection
     */
    public function performAction(array $args)
    {
        $journey =  $args['journey'];
        
        return JourneyStepResource::collection($journey->steps);
    }
}
