<?php

namespace App\Services\Schedule;

use App\Models\Schedule\ScheduleFrequency;
use App\Services\BaseService;

class GetScheduleFrequency extends BaseService
{
    /**
    * get schedule frequencies
    *
    * @param array $data
    * @return ScheduleSurvey
    */
    public function performAction(array $data)
    {
        return ScheduleFrequency::active()->with('frequencySetting')->get();
    }
}
