<?php

namespace App\Services\Segment;

use App\Helpers\ModelHelper;
use App\Models\Segment\Segment;
use App\Services\BaseService;

class GetSegment extends BaseService
{
    /**
     * Get list quiz
     *
     * @param array $options
     * @return mixed
     */
    public function performAction($data)
    {
        $query = Segment::query();
        ModelHelper::setConditionFindByClient($query);
        $segments = $query->get();

        return $segments;
    }
}
