<?php

namespace App\Services\Segment;

use App\Models\Segment\SegmentType;
use App\Services\BaseService;
use App\Traits\Sortable;

class GetSegmentGroup extends BaseService
{
    use Sortable;

    /**
     * Get list quiz
     *
     * @param array $options
     * @return mixed
     */
    public function performAction($data)
    {
        $query = SegmentType::query()->visible();
        $this->applySorting($data, $query);

        return $query->get();
    }
}