<?php


namespace App\Services\Segment;


use App\Enum\SegmentTypes;
use App\Services\BaseService;
use Faker\Provider\Base;
use Illuminate\Validation\ValidationException;

abstract class SegmentService extends BaseService
{
    public function ensureSegmentBasic($segmentTypeId)
    {
        if (!in_array($segmentTypeId, SegmentTypes::SEGMENT_TYPES_BASIC)) {
            //Only allow create segment on basic type
            throw ValidationException::withMessages(['segment_type_id' => __('validation.invalid', ['attribute' => 'segment_type_id'])]);
        }
    }
}