<?php


namespace App\Services\Segment\SegmentType;


use App\Helpers\TimeHelper;
use App\Services\BaseService;
use Carbon\Carbon;

/**
 * Class GetSegmentTypeDetailEmploymentPhase
 * @package App\Services\Segment\SegmentType
 */
class GetSegmentTypeDetailEmploymentPhase extends BaseService
{
    /**
     * @var array
     */
    protected $existedEmployee = array();

    /**
     * @param array $options
     * @return mixed
     * @throws \Illuminate\Validation\ValidationException
     */
    public function performAction(array $options)
    {
        $segments = $this->getDataSegments();
        return $segments;
    }

    /**
     * @return array
     */
    public function getDataSegments()
    {
        //TODO: add order priority for this segment
        $segments = app(GetSegmentTypeDetailEmploymentPhaseData::class)->execute();
        foreach ($segments as $segment) {
            $segment->total_employee = $segment->employees->count();
        }
        return $segments;
    }

}