<?php
namespace App\Services\SensitiveWord;

use App\Contracts\Transactionable;
use App\Models\SensitiveWord\SensitiveWord;
use App\Services\BaseService;

class DeleteSensitiveWord extends BaseService implements Transactionable
{
    /**
     * Delete sensitive word
     *
     * @param array $data
     * @return boolean
     */
    public function performAction(array $data)
    {
        $sensitiveWord = SensitiveWord::findOrFail($data['id']);
        return $sensitiveWord->delete();
    }
}
