<?php


namespace App\Services\Tool\Survey;

use App\Helpers\ModelHelper;
use App\Models\Survey\Survey;
use App\Services\BaseService;
use App\Traits\Pageable;
use App\Traits\Sortable;

class GetSurvey extends BaseService
{
    use Sortable, Pageable;


    /**
     * Get list event
     * @param array $options
     * @return mixed
     */
    public function performAction(array $options)
    {
        $query = Survey::query()->with('client');

        ModelHelper::setConditionFindByClient($query);

        $this->applySorting($options, $query);
        return $this->applyPaging($options, $query);
    }


}
