<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateActionProfilesTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('action_profiles', function(Blueprint $table)
		{
			$table->integer('id', true);
			$table->unsignedInteger('client_id')->nullable();
			$table->string('name');
			$table->boolean('status');
			$table->timestamps();
			$table->unsignedInteger('added_by')->nullable();
			$table->softDeletes();
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('action_profiles');
	}

}
