<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateCardTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('card', function(Blueprint $table)
		{
			$table->increments('id');
			$table->string('card_id', 191);
			$table->string('name', 191);
			$table->string('customer_id', 191);
			$table->string('brand', 191);
			$table->integer('exp_month')->nullable();
			$table->integer('exp_year');
			$table->string('last4', 191);
			$table->boolean('is_default')->default(0);
			$table->boolean('status')->default(0);
			$table->timestamps();
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('card');
	}

}
