<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateConfigureClientStepsTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('configure_client_steps', function(Blueprint $table)
		{
			$table->increments('id');
			$table->string('title', 100);
			$table->timestamps();
			$table->boolean('status')->nullable();
			$table->integer('added_by')->nullable();
			$table->unsignedInteger('step_number')->nullable();
			$table->string('step_order', 3)->nullable();
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('configure_client_steps');
	}

}
