<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateConfigureClientUserStepProgressesTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('configure_client_user_step_progresses', function(Blueprint $table)
		{
			$table->integer('id', true);
			$table->unsignedInteger('configure_client_content_step_id');
			$table->unsignedInteger('front_user_id');
			$table->boolean('is_complete')->nullable()->default(0);
			$table->timestamps();
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('configure_client_user_step_progresses');
	}

}
