<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateFormDetailsTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('form_details', function(Blueprint $table)
		{
			$table->increments('id');
			$table->string('title')->nullable();
			$table->unsignedInteger('client_id');
			$table->unsignedInteger('form_id');
			$table->boolean('status')->default(1);
			$table->timestamps();
			$table->unsignedInteger('added_by')->nullable();
			$table->text('content')->nullable();
			$table->integer('signnow')->default(0);
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('form_details');
	}

}
