<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateFrontUserTeamDetailsTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('front_user_team_details', function(Blueprint $table)
		{
			$table->increments('id');
			$table->unsignedInteger('front_user_detail_id');
			$table->unsignedInteger('type');
			$table->string('profile_link');
			$table->timestamps();
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('front_user_team_details');
	}

}
