<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateGoogleAdsTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('google_ads', function(Blueprint $table)
		{
			$table->integer('id', true);
			$table->text('script_menu')->nullable();
			$table->text('script_footer')->nullable();
			$table->boolean('show_script_menu')->nullable()->default(0);
			$table->boolean('show_script_footer')->nullable()->default(0);
			$table->text('link_menu')->nullable();
			$table->text('link_footer')->nullable();
			$table->text('link_google_mobile')->nullable();
			$table->text('image_menu')->nullable();
			$table->text('image_footer')->nullable();
			$table->text('img_menu_mobile')->nullable();
			$table->text('show_script_mobile')->nullable();
			$table->text('script_menu_mobile')->nullable();
			$table->timestamps();
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('google_ads');
	}

}
