<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateSurveyConfigurationsTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('survey_configurations', function(Blueprint $table)
		{
			$table->increments('id');
			$table->unsignedInteger('survey_name_id');
			$table->dateTime('start_date');
			$table->dateTime('end_date');
			$table->string('publish_day_num');
			$table->timestamps();
			$table->unsignedInteger('added_by')->nullable();
			$table->boolean('publish_status')->nullable()->default(0);
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('survey_configurations');
	}

}
