<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateSignatureAuthenticate extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('signature_authenticate', function (Blueprint $table) {
            $table->increments('id');
            $table->string('client_id');
            $table->string('access_token');
            $table->string('token_type');
            $table->integer('expires_in');
            $table->string('scope');
            $table->string('refresh_token');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('signature_authenticate');
    }
}