<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class UpdateColumnStatusToUserActionStatuses extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('user_action_statuses', function (Blueprint $table) {
            DB::statement("ALTER TABLE user_action_statuses CHANGE COLUMN status status ENUM('approved','rejected','pending','overdue','declined', 'due') NOT NULL DEFAULT 'due'");
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('user_action_statuses', function (Blueprint $table) {
            DB::statement("ALTER TABLE user_action_statuses CHANGE COLUMN status status ENUM('approved','rejected','pending','overdue','declined') NOT NULL DEFAULT 'pending'");
        });
    }
}
