<?php
// update...

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;

class RenameOptionTypeToIsAllowOnQuestionnaireOptionsTable extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('questionnaire_options', function (Blueprint $table) {
            $table->renameColumn('option_type', 'is_allow');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('questionnaire_options', function (Blueprint $table) {
            $table->renameColumn('is_allow', 'option_type');
        });
    }
}
