<?php
// create...

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;
use Illuminate\Database\Migrations\Migration;

class CreateScheduleFrequencySettingTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('schedule_frequency_setting', function (Blueprint $table) {
            $table->increments('id');
            $table->string('name');
            $table->string('description');
            $table->integer('schedule_frequency_id')->unsigned()->index();
            $table->integer('round_first')->unsigned()->index();
            $table->integer('next_round')->unsigned()->index();
            $table->integer('is_publish')->nullable();
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('schedule_frequency_setting', function (Blueprint $table) {
            //
        });
    }
}
