<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;



class RenameIdVerificationResultsAndContentPhotoResultsTables extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('content_photo_results', function (Blueprint $table) {
            $table->rename('content_photo_results_temp');
        });

        Schema::table('id_verification_results', function (Blueprint $table) {
            $table->rename('content_photo_results');
        });
        
        Schema::table('content_photo_results_temp', function (Blueprint $table) {
            $table->rename('id_verification_results');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('content_photo_results', function (Blueprint $table) {
            $table->rename('content_photo_results_temp');
        });

        Schema::table('id_verification_results', function (Blueprint $table) {
            $table->rename('content_photo_results');
        });

        Schema::table('content_photo_results_temp', function (Blueprint $table) {
            $table->rename('id_verification_results');
        });
    }
}
