<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;



class AlowEmployeesNullable extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('employees', function(Blueprint $table) {
            $table->unsignedInteger('location')->nullable()->change();
            $table->unsignedInteger('team')->nullable()->change();
            $table->unsignedInteger('department')->nullable()->change();
            $table->unsignedInteger('gender')->nullable()->change();
            $table->unsignedInteger('manager_id')->nullable()->change();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}
