<?php
// update...

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;

class AddColumnActionRequestIdToFormDocumentsTable extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('form_documents', function (Blueprint $table) {
            $table->unsignedInteger('action_request_id');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('form_documents', function (Blueprint $table) {
            $table->dropColumn('action_request_id');
        });
    }
}
