<?php
// update...

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;

class AddOrderColumnToQuizSurvey extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('quiz_questions', function(Blueprint $table) {
            $table->smallInteger('order')->default(0);
        });

        Schema::table('survey_questions', function(Blueprint $table) {
            $table->smallInteger('order')->default(0);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('quiz_questions', function(Blueprint $table) {
            $table->dropColumn('order');
        });

        Schema::table('survey_questions', function(Blueprint $table) {
            $table->dropColumn('order')->default(0);
        });
    }
}
