<?php
// update...

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;

class AddWeekCompleteScheduleFrequencySettingTable extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('schedule_frequency_setting', function (Blueprint $table) {
            $table->integer('week_complete')->after('next_round');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('schedule_frequency_setting', function (Blueprint $table) {
            $table->dropColumn('week_complete');
        });
    }
}
