<?php
// update...

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;

class ReAddPriorityToDriversTable extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {

            Schema::table('drivers', function (Blueprint $table) {
                if (!Schema::hasColumn('drivers', 'priority')) {
                    $table->smallInteger('priority')->default(0)->comment('0:low, 1:medium, 2:high');
                } else {
                    $table->smallInteger('priority')->default(0)->comment('0:low, 1:medium, 2:high')->change();
                }
            });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('drivers', function (Blueprint $table) {
            $table->dropColumn('priority');
        });
    }
}
