<?php
// update...

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;

class AddColumnReasonToActionRequestSubmissionsTable extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('action_request_submissions', function (Blueprint $table) {
            $table->string('reason', self::LONG_TEXT)->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('action_request_submissions', function (Blueprint $table) {
            $table->dropColumn('reason');
        });
    }
}
