<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;



class AddClientIdOnQuestionnaireAnswersTable extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table("questionnaire_answers", function(Blueprint $table) {
            $table->integer('client_id')->unsigned()->index()->after('id');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table("questionnaire_answers", function(Blueprint $table) {
            $table->dropColumn('client_id');
        });
    }
}
