<?php
// create...

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;

class CreateSubscriptionActivitiesTable extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('subscription_activities', function (Blueprint $table) {
            $table->increments('id');
            $table->unsignedInteger('old_plan_id');
            $table->unsignedInteger('new_plan_id');
            $table->string('reason', self::LONG_TEXT)->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('subscription_activities');
    }
}
