<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;



class ChangeLastMessageSeenType extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('user_conversation',function(Blueprint $table){
            $table->dropColumn('last_message_seen');
        });
        Schema::table('user_conversation',function(Blueprint $table){
            $table->dateTime('last_read');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('user_conversation',function(Blueprint $table){
            $table->dropColumn('last_read');
        });
        Schema::table('user_conversation',function(Blueprint $table){
            $table->uuid('last_message_seen');
        });
    }
}
