<?php

use App\Enum\Platforms;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;


class AddColumnPlatformAppRatings extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('app_ratings', function(Blueprint $table) {
            $table->enum('platform', Platforms::ALL);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('app_ratings', function(Blueprint $table) {
            $table->dropColumn('platform');
        });
    }
}
