<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;



class UpdateUrlColumnOfApiUsageTable extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('api_usage', function(Blueprint $table) {
            $table->string('url', self::LONG_TEXT)->change();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('api_usage', function(Blueprint $table) {
            $table->string('url', self::MEDIUM_TEXT)->change();
        });
    }
}
