<?php
// create...

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;

class CreateAlertMessageReadUserTable extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('alert_message_read_user', function (Blueprint $table) {
            $table->unsignedInteger('alert_message_id');
            $table->unsignedInteger('user_id');
            $table->primary(['alert_message_id', 'user_id']);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('alert_message_read_user');
    }
}
