<?php
// create...

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;

class CreateMagicLinkTokensTable extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('magic_link_tokens', function (Blueprint $table) {
            $table->increments('id');
            $table->string('token',64)->unique();
            $table->dateTime('expires_at');
            $table->boolean("revoked")->default(0);
            $table->unsignedInteger("user_id");
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('magic_link_tokens');
    }
}
