<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;



class AddAppliedDateColumnForClientConfigurationDetailTable extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('client_configuration_detail', function(Blueprint $table){
            $table->timestamp('applied_date')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('client_configuration_detail', function(Blueprint $table){
            $table->dropColumn('applied_date');
        });
    }
}
