<?php
// update...

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;

class ChangeTypesSegmentsScheduleSurveySegmentsTable extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('schedule_survey_segments', function (Blueprint $table) {
            $table->string('send_to')->nullable()->change();
            $table->string('exclude_id')->nullable()->change();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('schedule_survey_segments', function (Blueprint $table) {
            //
        });
    }
}
