<?php

use App\Database\Migrations\AppMigration;
use App\Enum\SegmentTypes;
use App\Models\Segment\SegmentType;
use Illuminate\Support\Facades\DB;
use App\Models\Segment\Segment;

class UpdateSegmentsTypeAllId extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        $segmentTypeAllName = SegmentTypes::SEGMENT_TYPES_OBJECT[SegmentTypes::ALL];
        $segmentTypes = SegmentType::where('name', $segmentTypeAllName)->first();
        Segment::query()->where('segment_type_id', $segmentTypes->getKey())->update(['segment_type_id'=> SegmentTypes::ALL]);
        DB::statement(sprintf("UPDATE segment_types
                SET id = %s
                where name = '%s'", SegmentTypes::ALL, SegmentTypes::SEGMENT_TYPES_OBJECT[SegmentTypes::ALL]
        ));
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}
