<?php
// create...

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;

class CreateClientAccessTable extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('client_access', function (Blueprint $table) {
            $table->unsignedInteger('client_id');
            $table->unsignedInteger('role_id');
            $table->unsignedInteger('permission_id');
            $table->primary(['client_id', 'role_id', 'permission_id']);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('client_access');
    }
}
