<?php

use App\Models\Message\AnonymousConversationCategory;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;



class AddDefaultDataAnonymousConversationCategory extends AppMigration
{
    CONST CATEGORIES = [
        'Bribery',
        'IT security',
        'Bullying',
        'Physical security',
        'Misuse of assets',
        'Abuse of authority',
        'Workplace respect',
        'Financial reporting'
    ];
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        foreach(self::CATEGORIES as $category){
            AnonymousConversationCategory::create(['name'=>$category]);
        }
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}
