<?php

use App\Database\Migrations\AppMigration;
use App\Enum\RoleEditablePermissions;
use App\Enum\Roles;


class AddPermissionsForAdmin extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        $this->givePermissionToRole(Roles::ADMIN, RoleEditablePermissions::ADMIN_PERMISSIONS);
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}
