<?php
// update...

use App\Enum\QualeeStatus;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;

class AddStatusColumnToMessageableTable extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('messageables', function (Blueprint $table) {
            $table->string('status', self::SHORT_TEXT)->default(QualeeStatus::ACTIVE);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('messageables', function (Blueprint $table) {
            $table->dropColumn('status');
        });
    }
}
