<?php

use App\Enum\AccessPermissions;
use App\Database\Migrations\AppMigration;
use Spatie\Permission\Models\Permission;


class AddNewPermissionsCreateWb extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        if(!Permission::where('name', AccessPermissions::ACCESS_WB_CREATE)->exists()){
             Permission::create(['name' => AccessPermissions::ACCESS_WB_CREATE]);
        }
    }
}
