<?php

use App\Database\Migrations\AppMigration;
use App\Enum\PlanConfigurations;
use App\Models\Subscription\PlanConfiguration;


class UpdatePlanForWhistleblowing extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        $planConfiguration = PlanConfiguration::where(
            'name',
            PlanConfigurations::PACKAGE_MESSAGE_TRANSLATION
        )->first();
        $planConfiguration->name = PlanConfigurations::PACKAGE_WHISTLEBLOWING_CAPABILITIES;
        $planConfiguration->save();
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}
