<?php
// update...

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Database\Migrations\AppMigration;

class AddColumnJourneySteps extends AppMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('journey_steps', function (Blueprint $table) {
            $table->boolean('step_is_optional')->nullable();
            $table->string('type');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('journey_steps', function (Blueprint $table) {
            $table->dropColumn('step_is_optional');
            $table->dropColumn('type');
        });
    }
}