# functions.py
import json
import decimal
import time
import datetime
import random
from flask import Flask, render_template, request
import requests

# more libs:
from werkzeug.utils import secure_filename
from werkzeug.datastructures import FileStorage
import base64
import logging
import boto3
from boto3.dynamodb.conditions import Key, Attr
from botocore.exceptions import ClientError
from elasticsearch import Elasticsearch


from cgi import parse_header, parse_multipart
from io import BytesIO

es = Elasticsearch()

# {
# 	"user": "dilbert",
#     "postDate": "2011-12-15",
#     "body": "Distribution is hard. Distribution should be easy." ,
#     "title": "On search"
# }
def addToElastic(user: str, body: str, sharedTitle: str):
    timestamp = int(time.time() * 1000)
    headers = {"Content-Type": "application/json"}
    data = {
        "user": user,
        "postDate": "2011-12-15",
        "body": "Ahihi, this is a new text at " + str(timestamp),
        "title": "On search",
    }
    url = "http://localhost:9200/post/1"
    response = requests.post(url, data=json.dumps(data), headers=headers)
    print(str(response.text))
    return response.text


def main():
    addToElastic("hung", "hung", "hung")


if __name__ == "__main__":
    main()