@extends('layouts.email')
@section('content')
    <p>
        <strong>{{__('Hi')}} {{ $name }}</strong>,
    </p>
    <p>Today is your colleague {{ $first_name }} {{ $last_name }}'s birthday.</p>
    <p>Let's make {{ $first_name }}'s day by sending a personalised birthday message.</p>
    <p>Login to the <a href="{{  url(config('app.front_end_url')) }}">Qualee Console</a> to send {{ $first_name }} a message.</p>
    <table style="margin-left: auto; margin-right: auto;">
    </table>
    <h4>Have Questions?</h4>
    <p>Check out our <a href="https://www.qualee.com/faqs">FAQs</a>, review our <a href="https://www.qualee.com/qualee-console-intro">Console Intro</a> or <a href="mailto:info@qualee.com">contact our support team</a>. We’re always here to help!</p>
@endsection