@extends('layouts.email')
@section('content')
    <p>
        <strong>Hi {{ $name }}</strong>,
    </p>
    <p>You've just been granted access to the Qualee Console.</p>
    <p>The console provides you with a detailed view of your organisation's employee experiences and engagement feedback.</p>
    <p>The Qualee Console has been carefully designed to be used via a <strong>desktop</strong> or <strong>laptop</strong> and is not compatible with your mobile device.</p>
    <h4>Log in</h4>
    <p>Your login credentials are the same as your Qualee App.</p>
    <p>If you've forgotten what your app password is, please use the <strong>Reset your password</strong> link on the Console login page - just remember to use your new password with your Qualee App as well.</p>
    <br/>
    <p class="center">
        <a href="{{  url(config('app.front_end_url') . '/login') }}" class="button button-primary">
            Log in to Qualee
        </a>
    </p>
    <br/>
    <p>Check out our <a href="https://www.qualee.com/faqs">FAQs</a>, review our <a href="https://www.qualee.com/qualee-console-intro">Console Intro</a> or <a href="mailto:info@qualee.com">contact our support team</a>. We’re always here to help!</p>
@endsection
