@component('mail::message')
# @lang('Hello!')

Please click the button below to verify your new email address.
@component('mail::button', ['url' => $verificationUrl])
Verify Email Address
@endcomponent
@lang('Thank you'),<br>
{{ config('app.name') }}
{{-- Subcopy --}}
@isset($verificationUrl)
@slot('subcopy')
@lang(
    "If you’re having trouble clicking the \"Verify Email Address\" button, copy and paste the URL below\n".
    'into your web browser:'
) <span class="break-all">[{{ $verificationUrl }}]({{ $verificationUrl }})</span>
@endslot
@endisset
@endcomponent
