@extends('layouts.email')
@section('content')
<p>
    <strong>{{__('Hey')}} {{ $name }}</strong>,
</p>
<p>You have received a copy of the latest system-generated passwords for a group of employees.</p>
<p>You are receiving this email because you have requested for this information via your administrator account in the Qualee console.</p>
<p>
    <a href="{{ $url }}" download="system-generated-passwords.csv">Click here to download</a>
</p>
<p>If you did not request for this information, please email us at <a href="mailto:info@qualee.com">info@qualee.com</a> or your client success manager for assistance.</p>
<p>
    {{__('Thank you')}},
    <br>
    {{ config('app.name') }}
</p>
@endsection